depends = ('ITKPyBase', 'Base', 'VXLNumerics', )
templates = (
  ('BinaryDilateImageFilter', 'itk::BinaryDilateImageFilter', 'itkBinaryDilateImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('BinaryDilateImageFilter', 'itk::BinaryDilateImageFilter', 'itkBinaryDilateImageFilterIUS2IUS2SE2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('BinaryDilateImageFilter', 'itk::BinaryDilateImageFilter', 'itkBinaryDilateImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('BinaryDilateImageFilter', 'itk::BinaryDilateImageFilter', 'itkBinaryDilateImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('BinaryDilateImageFilter', 'itk::BinaryDilateImageFilter', 'itkBinaryDilateImageFilterIUS3IUS3SE3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::FlatStructuringElement< 3 >'),
  ('BinaryDilateImageFilter', 'itk::BinaryDilateImageFilter', 'itkBinaryDilateImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('BinaryErodeImageFilter', 'itk::BinaryErodeImageFilter', 'itkBinaryErodeImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('BinaryErodeImageFilter', 'itk::BinaryErodeImageFilter', 'itkBinaryErodeImageFilterIUS2IUS2SE2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('BinaryErodeImageFilter', 'itk::BinaryErodeImageFilter', 'itkBinaryErodeImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('BinaryErodeImageFilter', 'itk::BinaryErodeImageFilter', 'itkBinaryErodeImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('BinaryErodeImageFilter', 'itk::BinaryErodeImageFilter', 'itkBinaryErodeImageFilterIUS3IUS3SE3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::FlatStructuringElement< 3 >'),
  ('BinaryErodeImageFilter', 'itk::BinaryErodeImageFilter', 'itkBinaryErodeImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('BinaryPruningImageFilter', 'itk::BinaryPruningImageFilter', 'itkBinaryPruningImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('BinaryPruningImageFilter', 'itk::BinaryPruningImageFilter', 'itkBinaryPruningImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BinaryPruningImageFilter', 'itk::BinaryPruningImageFilter', 'itkBinaryPruningImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BinaryThinningImageFilter', 'itk::BinaryThinningImageFilter', 'itkBinaryThinningImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('BinaryThinningImageFilter', 'itk::BinaryThinningImageFilter', 'itkBinaryThinningImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BinaryThresholdImageFilter', 'itk::BinaryThresholdImageFilter', 'itkBinaryThresholdImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('BinaryThresholdImageFilter', 'itk::BinaryThresholdImageFilter', 'itkBinaryThresholdImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('BinaryThresholdImageFilter', 'itk::BinaryThresholdImageFilter', 'itkBinaryThresholdImageFilterIUS2IUC2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('BinaryThresholdImageFilter', 'itk::BinaryThresholdImageFilter', 'itkBinaryThresholdImageFilterIUS3IUC3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >'),
  ('BinaryThresholdImageFilter', 'itk::BinaryThresholdImageFilter', 'itkBinaryThresholdImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BinaryThresholdImageFilter', 'itk::BinaryThresholdImageFilter', 'itkBinaryThresholdImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('BinaryThresholdImageFilter', 'itk::BinaryThresholdImageFilter', 'itkBinaryThresholdImageFilterIF2IUS2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('BinaryThresholdImageFilter', 'itk::BinaryThresholdImageFilter', 'itkBinaryThresholdImageFilterIF3IUS3', 'itk::Image< float,3 >, itk::Image< unsigned short,3 >'),
  ('BinaryThresholdImageFilter', 'itk::BinaryThresholdImageFilter', 'itkBinaryThresholdImageFilterIF2IUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('BinaryThresholdImageFilter', 'itk::BinaryThresholdImageFilter', 'itkBinaryThresholdImageFilterIF3IUC3', 'itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('BinaryThresholdImageFilter', 'itk::BinaryThresholdImageFilter', 'itkBinaryThresholdImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BinaryThresholdImageFilter', 'itk::BinaryThresholdImageFilter', 'itkBinaryThresholdImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
)
