depends = ('ITKPyBase', 'Numerics', 'Base', 'VXLNumerics', )
templates = (
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUC2IUS2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned short,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUS2IUC2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned char,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIF2IUC2', 'itk::Image< float,2 >,itk::Image< unsigned char,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIF2IUS2', 'itk::Image< float,2 >,itk::Image< unsigned short,2 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUC3IUS3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned short,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUS3IUC3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned char,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIF3IUC3', 'itk::Image< float,3 >,itk::Image< unsigned char,3 >'),
  ('LabelStatisticsImageFilter', 'itk::LabelStatisticsImageFilter', 'itkLabelStatisticsImageFilterIF3IUS3', 'itk::Image< float,3 >,itk::Image< unsigned short,3 >'),
  ('MaximumImageFilter', 'itk::MaximumImageFilter', 'itkMaximumImageFilterIUC2IUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumImageFilter', 'itk::MaximumImageFilter', 'itkMaximumImageFilterIUC3IUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumImageFilter', 'itk::MaximumImageFilter', 'itkMaximumImageFilterIUS2IUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumImageFilter', 'itk::MaximumImageFilter', 'itkMaximumImageFilterIUS3IUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('MaximumImageFilter', 'itk::MaximumImageFilter', 'itkMaximumImageFilterIF2IF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MaximumImageFilter', 'itk::MaximumImageFilter', 'itkMaximumImageFilterIF3IF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MinimumImageFilter', 'itk::MinimumImageFilter', 'itkMinimumImageFilterIUC2IUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MinimumImageFilter', 'itk::MinimumImageFilter', 'itkMinimumImageFilterIUC3IUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MinimumImageFilter', 'itk::MinimumImageFilter', 'itkMinimumImageFilterIUS2IUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MinimumImageFilter', 'itk::MinimumImageFilter', 'itkMinimumImageFilterIUS3IUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('MinimumImageFilter', 'itk::MinimumImageFilter', 'itkMinimumImageFilterIF2IF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MinimumImageFilter', 'itk::MinimumImageFilter', 'itkMinimumImageFilterIF3IF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MinimumMaximumImageCalculator', 'itk::MinimumMaximumImageCalculator', 'itkMinimumMaximumImageCalculatorIUC2', 'itk::Image< unsigned char,2 >'),
  ('MinimumMaximumImageCalculator', 'itk::MinimumMaximumImageCalculator', 'itkMinimumMaximumImageCalculatorIUC3', 'itk::Image< unsigned char,3 >'),
  ('MinimumMaximumImageCalculator', 'itk::MinimumMaximumImageCalculator', 'itkMinimumMaximumImageCalculatorIUS2', 'itk::Image< unsigned short,2 >'),
  ('MinimumMaximumImageCalculator', 'itk::MinimumMaximumImageCalculator', 'itkMinimumMaximumImageCalculatorIUS3', 'itk::Image< unsigned short,3 >'),
  ('MinimumMaximumImageCalculator', 'itk::MinimumMaximumImageCalculator', 'itkMinimumMaximumImageCalculatorIF2', 'itk::Image< float,2 >'),
  ('MinimumMaximumImageCalculator', 'itk::MinimumMaximumImageCalculator', 'itkMinimumMaximumImageCalculatorIF3', 'itk::Image< float,3 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIUC2', 'itk::Image< unsigned char,2 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIUC3', 'itk::Image< unsigned char,3 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIUS2', 'itk::Image< unsigned short,2 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIUS3', 'itk::Image< unsigned short,3 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIF2', 'itk::Image< float,2 >'),
  ('MinimumMaximumImageFilter', 'itk::MinimumMaximumImageFilter', 'itkMinimumMaximumImageFilterIF3', 'itk::Image< float,3 >'),
  ('NoiseImageFilter', 'itk::NoiseImageFilter', 'itkNoiseImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('NoiseImageFilter', 'itk::NoiseImageFilter', 'itkNoiseImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('NoiseImageFilter', 'itk::NoiseImageFilter', 'itkNoiseImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('NoiseImageFilter', 'itk::NoiseImageFilter', 'itkNoiseImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('NoiseImageFilter', 'itk::NoiseImageFilter', 'itkNoiseImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('NoiseImageFilter', 'itk::NoiseImageFilter', 'itkNoiseImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ScalarImageToHistogramGenerator', 'itk::Statistics::ScalarImageToHistogramGenerator', 'itkScalarImageToHistogramGeneratorIUC2', 'itk::Image< unsigned char,2 >'),
  ('ScalarImageToHistogramGenerator', 'itk::Statistics::ScalarImageToHistogramGenerator', 'itkScalarImageToHistogramGeneratorIUC3', 'itk::Image< unsigned char,3 >'),
  ('ScalarImageToHistogramGenerator', 'itk::Statistics::ScalarImageToHistogramGenerator', 'itkScalarImageToHistogramGeneratorIUS2', 'itk::Image< unsigned short,2 >'),
  ('ScalarImageToHistogramGenerator', 'itk::Statistics::ScalarImageToHistogramGenerator', 'itkScalarImageToHistogramGeneratorIUS3', 'itk::Image< unsigned short,3 >'),
  ('ScalarImageToHistogramGenerator', 'itk::Statistics::ScalarImageToHistogramGenerator', 'itkScalarImageToHistogramGeneratorIF2', 'itk::Image< float,2 >'),
  ('ScalarImageToHistogramGenerator', 'itk::Statistics::ScalarImageToHistogramGenerator', 'itkScalarImageToHistogramGeneratorIF3', 'itk::Image< float,3 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIUC2', 'itk::Image< unsigned char,2 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIUC3', 'itk::Image< unsigned char,3 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIUS2', 'itk::Image< unsigned short,2 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIUS3', 'itk::Image< unsigned short,3 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIF2', 'itk::Image< float,2 >'),
  ('StatisticsImageFilter', 'itk::StatisticsImageFilter', 'itkStatisticsImageFilterIF3', 'itk::Image< float,3 >'),
)
