depends = ('ITKPyBase', 'Base', 'VXLNumerics', )
templates = (
  ('CurvatureFlowImageFilter', 'itk::CurvatureFlowImageFilter', 'itkCurvatureFlowImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('CurvatureFlowImageFilter', 'itk::CurvatureFlowImageFilter', 'itkCurvatureFlowImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MinMaxCurvatureFlowImageFilter', 'itk::MinMaxCurvatureFlowImageFilter', 'itkMinMaxCurvatureFlowImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MinMaxCurvatureFlowImageFilter', 'itk::MinMaxCurvatureFlowImageFilter', 'itkMinMaxCurvatureFlowImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('VotingBinaryImageFilter', 'itk::VotingBinaryImageFilter', 'itkVotingBinaryImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('VotingBinaryImageFilter', 'itk::VotingBinaryImageFilter', 'itkVotingBinaryImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('VotingBinaryImageFilter', 'itk::VotingBinaryImageFilter', 'itkVotingBinaryImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('VotingBinaryImageFilter', 'itk::VotingBinaryImageFilter', 'itkVotingBinaryImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('VotingBinaryImageFilter', 'itk::VotingBinaryImageFilter', 'itkVotingBinaryImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('VotingBinaryImageFilter', 'itk::VotingBinaryImageFilter', 'itkVotingBinaryImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('AnisotropicDiffusionImageFilter', 'itk::AnisotropicDiffusionImageFilter', 'itkAnisotropicDiffusionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('AnisotropicDiffusionImageFilter', 'itk::AnisotropicDiffusionImageFilter', 'itkAnisotropicDiffusionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('BinaryMedianImageFilter', 'itk::BinaryMedianImageFilter', 'itkBinaryMedianImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('BinaryMedianImageFilter', 'itk::BinaryMedianImageFilter', 'itkBinaryMedianImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('BinaryMedianImageFilter', 'itk::BinaryMedianImageFilter', 'itkBinaryMedianImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BinaryMedianImageFilter', 'itk::BinaryMedianImageFilter', 'itkBinaryMedianImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('BinaryMedianImageFilter', 'itk::BinaryMedianImageFilter', 'itkBinaryMedianImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BinaryMedianImageFilter', 'itk::BinaryMedianImageFilter', 'itkBinaryMedianImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('BinaryMinMaxCurvatureFlowImageFilter', 'itk::BinaryMinMaxCurvatureFlowImageFilter', 'itkBinaryMinMaxCurvatureFlowImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BinaryMinMaxCurvatureFlowImageFilter', 'itk::BinaryMinMaxCurvatureFlowImageFilter', 'itkBinaryMinMaxCurvatureFlowImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('CurvatureAnisotropicDiffusionImageFilter', 'itk::CurvatureAnisotropicDiffusionImageFilter', 'itkCurvatureAnisotropicDiffusionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('CurvatureAnisotropicDiffusionImageFilter', 'itk::CurvatureAnisotropicDiffusionImageFilter', 'itkCurvatureAnisotropicDiffusionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('GradientAnisotropicDiffusionImageFilter', 'itk::GradientAnisotropicDiffusionImageFilter', 'itkGradientAnisotropicDiffusionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GradientAnisotropicDiffusionImageFilter', 'itk::GradientAnisotropicDiffusionImageFilter', 'itkGradientAnisotropicDiffusionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MeanImageFilter', 'itk::MeanImageFilter', 'itkMeanImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MeanImageFilter', 'itk::MeanImageFilter', 'itkMeanImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MeanImageFilter', 'itk::MeanImageFilter', 'itkMeanImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MeanImageFilter', 'itk::MeanImageFilter', 'itkMeanImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('MeanImageFilter', 'itk::MeanImageFilter', 'itkMeanImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MeanImageFilter', 'itk::MeanImageFilter', 'itkMeanImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MedianImageFilter', 'itk::MedianImageFilter', 'itkMedianImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MedianImageFilter', 'itk::MedianImageFilter', 'itkMedianImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MedianImageFilter', 'itk::MedianImageFilter', 'itkMedianImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MedianImageFilter', 'itk::MedianImageFilter', 'itkMedianImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('MedianImageFilter', 'itk::MedianImageFilter', 'itkMedianImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MedianImageFilter', 'itk::MedianImageFilter', 'itkMedianImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('VotingBinaryHoleFillingImageFilter', 'itk::VotingBinaryHoleFillingImageFilter', 'itkVotingBinaryHoleFillingImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('VotingBinaryHoleFillingImageFilter', 'itk::VotingBinaryHoleFillingImageFilter', 'itkVotingBinaryHoleFillingImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('VotingBinaryHoleFillingImageFilter', 'itk::VotingBinaryHoleFillingImageFilter', 'itkVotingBinaryHoleFillingImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('VotingBinaryHoleFillingImageFilter', 'itk::VotingBinaryHoleFillingImageFilter', 'itkVotingBinaryHoleFillingImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('VotingBinaryIterativeHoleFillingImageFilter', 'itk::VotingBinaryIterativeHoleFillingImageFilter', 'itkVotingBinaryIterativeHoleFillingImageFilterIUC2', 'itk::Image< unsigned char,2 >'),
  ('VotingBinaryIterativeHoleFillingImageFilter', 'itk::VotingBinaryIterativeHoleFillingImageFilter', 'itkVotingBinaryIterativeHoleFillingImageFilterIUC3', 'itk::Image< unsigned char,3 >'),
  ('VotingBinaryIterativeHoleFillingImageFilter', 'itk::VotingBinaryIterativeHoleFillingImageFilter', 'itkVotingBinaryIterativeHoleFillingImageFilterIUS2', 'itk::Image< unsigned short,2 >'),
  ('VotingBinaryIterativeHoleFillingImageFilter', 'itk::VotingBinaryIterativeHoleFillingImageFilter', 'itkVotingBinaryIterativeHoleFillingImageFilterIUS3', 'itk::Image< unsigned short,3 >'),
)
