depends = ('ITKPyBase', 'Base', 'VXLNumerics', )
templates = (
  ('ApproximateSignedDistanceMapImageFilter', 'itk::ApproximateSignedDistanceMapImageFilter', 'itkApproximateSignedDistanceMapImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ApproximateSignedDistanceMapImageFilter', 'itk::ApproximateSignedDistanceMapImageFilter', 'itkApproximateSignedDistanceMapImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('DanielssonDistanceMapImageFilter', 'itk::DanielssonDistanceMapImageFilter', 'itkDanielssonDistanceMapImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('DanielssonDistanceMapImageFilter', 'itk::DanielssonDistanceMapImageFilter', 'itkDanielssonDistanceMapImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('DanielssonDistanceMapImageFilter', 'itk::DanielssonDistanceMapImageFilter', 'itkDanielssonDistanceMapImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('DanielssonDistanceMapImageFilter', 'itk::DanielssonDistanceMapImageFilter', 'itkDanielssonDistanceMapImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('DanielssonDistanceMapImageFilter', 'itk::DanielssonDistanceMapImageFilter', 'itkDanielssonDistanceMapImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('DanielssonDistanceMapImageFilter', 'itk::DanielssonDistanceMapImageFilter', 'itkDanielssonDistanceMapImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('DanielssonDistanceMapImageFilter', 'itk::DanielssonDistanceMapImageFilter', 'itkDanielssonDistanceMapImageFilterIUC2IF2', 'itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('DanielssonDistanceMapImageFilter', 'itk::DanielssonDistanceMapImageFilter', 'itkDanielssonDistanceMapImageFilterIUC3IF3', 'itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('DanielssonDistanceMapImageFilter', 'itk::DanielssonDistanceMapImageFilter', 'itkDanielssonDistanceMapImageFilterIUS2IF2', 'itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('DanielssonDistanceMapImageFilter', 'itk::DanielssonDistanceMapImageFilter', 'itkDanielssonDistanceMapImageFilterIUS3IF3', 'itk::Image< unsigned short,3 >, itk::Image< float,3 >'),
  ('FastChamferDistanceImageFilter', 'itk::FastChamferDistanceImageFilter', 'itkFastChamferDistanceImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('FastChamferDistanceImageFilter', 'itk::FastChamferDistanceImageFilter', 'itkFastChamferDistanceImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SignedDanielssonDistanceMapImageFilter', 'itk::SignedDanielssonDistanceMapImageFilter', 'itkSignedDanielssonDistanceMapImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SignedDanielssonDistanceMapImageFilter', 'itk::SignedDanielssonDistanceMapImageFilter', 'itkSignedDanielssonDistanceMapImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SignedDanielssonDistanceMapImageFilter', 'itk::SignedDanielssonDistanceMapImageFilter', 'itkSignedDanielssonDistanceMapImageFilterIUC2IF2', 'itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('SignedDanielssonDistanceMapImageFilter', 'itk::SignedDanielssonDistanceMapImageFilter', 'itkSignedDanielssonDistanceMapImageFilterIUC3IF3', 'itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('SignedDanielssonDistanceMapImageFilter', 'itk::SignedDanielssonDistanceMapImageFilter', 'itkSignedDanielssonDistanceMapImageFilterIUS2IF2', 'itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('SignedDanielssonDistanceMapImageFilter', 'itk::SignedDanielssonDistanceMapImageFilter', 'itkSignedDanielssonDistanceMapImageFilterIUS3IF3', 'itk::Image< unsigned short,3 >, itk::Image< float,3 >'),
  ('SignedMaurerDistanceMapImageFilter', 'itk::SignedMaurerDistanceMapImageFilter', 'itkSignedMaurerDistanceMapImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SignedMaurerDistanceMapImageFilter', 'itk::SignedMaurerDistanceMapImageFilter', 'itkSignedMaurerDistanceMapImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SignedMaurerDistanceMapImageFilter', 'itk::SignedMaurerDistanceMapImageFilter', 'itkSignedMaurerDistanceMapImageFilterIUC2IF2', 'itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('SignedMaurerDistanceMapImageFilter', 'itk::SignedMaurerDistanceMapImageFilter', 'itkSignedMaurerDistanceMapImageFilterIUC3IF3', 'itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('SignedMaurerDistanceMapImageFilter', 'itk::SignedMaurerDistanceMapImageFilter', 'itkSignedMaurerDistanceMapImageFilterIUS2IF2', 'itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('SignedMaurerDistanceMapImageFilter', 'itk::SignedMaurerDistanceMapImageFilter', 'itkSignedMaurerDistanceMapImageFilterIUS3IF3', 'itk::Image< unsigned short,3 >, itk::Image< float,3 >'),
)
