depends = ('ITKPyBase', 'Base', 'VXLNumerics', )
templates = (
  ('ComplexToImaginaryImageFilter', 'itk::ComplexToImaginaryImageFilter', 'itkComplexToImaginaryImageFilterICF2IF2', 'itk::Image< std::complex< float >,2 >, itk::Image< float,2 >'),
  ('ComplexToImaginaryImageFilter', 'itk::ComplexToImaginaryImageFilter', 'itkComplexToImaginaryImageFilterICF3IF3', 'itk::Image< std::complex< float >,3 >, itk::Image< float,3 >'),
  ('ComplexToModulusImageFilter', 'itk::ComplexToModulusImageFilter', 'itkComplexToModulusImageFilterICF2IF2', 'itk::Image< std::complex< float >,2 >, itk::Image< float,2 >'),
  ('ComplexToModulusImageFilter', 'itk::ComplexToModulusImageFilter', 'itkComplexToModulusImageFilterICF3IF3', 'itk::Image< std::complex< float >,3 >, itk::Image< float,3 >'),
  ('ComplexToPhaseImageFilter', 'itk::ComplexToPhaseImageFilter', 'itkComplexToPhaseImageFilterICF2IF2', 'itk::Image< std::complex< float >,2 >, itk::Image< float,2 >'),
  ('ComplexToPhaseImageFilter', 'itk::ComplexToPhaseImageFilter', 'itkComplexToPhaseImageFilterICF3IF3', 'itk::Image< std::complex< float >,3 >, itk::Image< float,3 >'),
  ('ComplexToRealImageFilter', 'itk::ComplexToRealImageFilter', 'itkComplexToRealImageFilterICF2IF2', 'itk::Image< std::complex< float >,2 >, itk::Image< float,2 >'),
  ('ComplexToRealImageFilter', 'itk::ComplexToRealImageFilter', 'itkComplexToRealImageFilterICF3IF3', 'itk::Image< std::complex< float >,3 >, itk::Image< float,3 >'),
  ('FFTComplexConjugateToRealImageFilter', 'itk::FFTComplexConjugateToRealImageFilter', 'itkFFTComplexConjugateToRealImageFilterF2', 'float,2'),
  ('FFTComplexConjugateToRealImageFilter', 'itk::FFTComplexConjugateToRealImageFilter', 'itkFFTComplexConjugateToRealImageFilterF3', 'float,3'),
  ('FFTComplexToComplexImageFilter', 'itk::FFTComplexToComplexImageFilter', 'itkFFTComplexToComplexImageFilterF2', 'float,2'),
  ('FFTComplexToComplexImageFilter', 'itk::FFTComplexToComplexImageFilter', 'itkFFTComplexToComplexImageFilterF3', 'float,3'),
  ('FFTRealToComplexConjugateImageFilter', 'itk::FFTRealToComplexConjugateImageFilter', 'itkFFTRealToComplexConjugateImageFilterF2', 'float,2'),
  ('FFTRealToComplexConjugateImageFilter', 'itk::FFTRealToComplexConjugateImageFilter', 'itkFFTRealToComplexConjugateImageFilterF3', 'float,3'),
  ('MagnitudeAndPhaseToComplexImageFilter', 'itk::MagnitudeAndPhaseToComplexImageFilter', 'itkMagnitudeAndPhaseToComplexImageFilterFFF2', 'float,float,float,2'),
  ('MagnitudeAndPhaseToComplexImageFilter', 'itk::MagnitudeAndPhaseToComplexImageFilter', 'itkMagnitudeAndPhaseToComplexImageFilterFFF3', 'float,float,float,3'),
  ('RealAndImaginaryToComplexImageFilter', 'itk::RealAndImaginaryToComplexImageFilter', 'itkRealAndImaginaryToComplexImageFilterFFF2', 'float,float,float,2'),
  ('RealAndImaginaryToComplexImageFilter', 'itk::RealAndImaginaryToComplexImageFilter', 'itkRealAndImaginaryToComplexImageFilterFFF3', 'float,float,float,3'),
  ('VnlFFTComplexConjugateToRealImageFilter', 'itk::VnlFFTComplexConjugateToRealImageFilter', 'itkVnlFFTComplexConjugateToRealImageFilterF2', 'float,2'),
  ('VnlFFTComplexConjugateToRealImageFilter', 'itk::VnlFFTComplexConjugateToRealImageFilter', 'itkVnlFFTComplexConjugateToRealImageFilterF3', 'float,3'),
  ('VnlFFTRealToComplexConjugateImageFilter', 'itk::VnlFFTRealToComplexConjugateImageFilter', 'itkVnlFFTRealToComplexConjugateImageFilterF2', 'float,2'),
  ('VnlFFTRealToComplexConjugateImageFilter', 'itk::VnlFFTRealToComplexConjugateImageFilter', 'itkVnlFFTRealToComplexConjugateImageFilterF3', 'float,3'),
)
