depends = ('ITKPyBase', 'Base', 'VXLNumerics', )
templates = (
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SymmetricSecondRankTensor', 'itk::SymmetricSecondRankTensor', 'itkSymmetricSecondRankTensorD2', 'double, 2'),
  ('SymmetricSecondRankTensor', 'itk::SymmetricSecondRankTensor', 'itkSymmetricSecondRankTensorD3', 'double, 3'),
  ('Image', 'itk::Image', 'itkImageSSRTD22', 'itk::SymmetricSecondRankTensor< double, 2 >, 2'),
  ('Image', 'itk::Image', 'itkImageSSRTD33', 'itk::SymmetricSecondRankTensor< double, 3 >, 3'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceISSRTD22', 'itk::Image< itk::SymmetricSecondRankTensor< double, 2 >, 2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceISSRTD33', 'itk::Image< itk::SymmetricSecondRankTensor< double, 3 >, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2ISSRTD22', 'itk::Image< unsigned char,2 >, itk::Image< itk::SymmetricSecondRankTensor< double, 2 >, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISSRTD22IUC2', 'itk::Image< itk::SymmetricSecondRankTensor< double, 2 >, 2 >, itk::Image< unsigned char,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2ISSRTD22', 'itk::Image< unsigned short,2 >, itk::Image< itk::SymmetricSecondRankTensor< double, 2 >, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISSRTD22IUS2', 'itk::Image< itk::SymmetricSecondRankTensor< double, 2 >, 2 >, itk::Image< unsigned short,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2ISSRTD22', 'itk::Image< float,2 >, itk::Image< itk::SymmetricSecondRankTensor< double, 2 >, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISSRTD22IF2', 'itk::Image< itk::SymmetricSecondRankTensor< double, 2 >, 2 >, itk::Image< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3ISSRTD33', 'itk::Image< unsigned char,3 >, itk::Image< itk::SymmetricSecondRankTensor< double, 3 >, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISSRTD33IUC3', 'itk::Image< itk::SymmetricSecondRankTensor< double, 3 >, 3 >, itk::Image< unsigned char,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3ISSRTD33', 'itk::Image< unsigned short,3 >, itk::Image< itk::SymmetricSecondRankTensor< double, 3 >, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISSRTD33IUS3', 'itk::Image< itk::SymmetricSecondRankTensor< double, 3 >, 3 >, itk::Image< unsigned short,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3ISSRTD33', 'itk::Image< float,3 >, itk::Image< itk::SymmetricSecondRankTensor< double, 3 >, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISSRTD33IF3', 'itk::Image< itk::SymmetricSecondRankTensor< double, 3 >, 3 >, itk::Image< float,3 >'),
  ('HessianRecursiveGaussianImageFilter', 'itk::HessianRecursiveGaussianImageFilter', 'itkHessianRecursiveGaussianImageFilterIUC2', 'itk::Image< unsigned char,2 >'),
  ('HessianRecursiveGaussianImageFilter', 'itk::HessianRecursiveGaussianImageFilter', 'itkHessianRecursiveGaussianImageFilterIUC3', 'itk::Image< unsigned char,3 >'),
  ('HessianRecursiveGaussianImageFilter', 'itk::HessianRecursiveGaussianImageFilter', 'itkHessianRecursiveGaussianImageFilterIUS2', 'itk::Image< unsigned short,2 >'),
  ('HessianRecursiveGaussianImageFilter', 'itk::HessianRecursiveGaussianImageFilter', 'itkHessianRecursiveGaussianImageFilterIUS3', 'itk::Image< unsigned short,3 >'),
  ('HessianRecursiveGaussianImageFilter', 'itk::HessianRecursiveGaussianImageFilter', 'itkHessianRecursiveGaussianImageFilterIF2', 'itk::Image< float,2 >'),
  ('HessianRecursiveGaussianImageFilter', 'itk::HessianRecursiveGaussianImageFilter', 'itkHessianRecursiveGaussianImageFilterIF3', 'itk::Image< float,3 >'),
  ('BinomialBlurImageFilter', 'itk::BinomialBlurImageFilter', 'itkBinomialBlurImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('BinomialBlurImageFilter', 'itk::BinomialBlurImageFilter', 'itkBinomialBlurImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('BinomialBlurImageFilter', 'itk::BinomialBlurImageFilter', 'itkBinomialBlurImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BinomialBlurImageFilter', 'itk::BinomialBlurImageFilter', 'itkBinomialBlurImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('BinomialBlurImageFilter', 'itk::BinomialBlurImageFilter', 'itkBinomialBlurImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BinomialBlurImageFilter', 'itk::BinomialBlurImageFilter', 'itkBinomialBlurImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('DerivativeImageFilter', 'itk::DerivativeImageFilter', 'itkDerivativeImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('DerivativeImageFilter', 'itk::DerivativeImageFilter', 'itkDerivativeImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('DiscreteGaussianImageFilter', 'itk::DiscreteGaussianImageFilter', 'itkDiscreteGaussianImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('DiscreteGaussianImageFilter', 'itk::DiscreteGaussianImageFilter', 'itkDiscreteGaussianImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('DiscreteGaussianImageFilter', 'itk::DiscreteGaussianImageFilter', 'itkDiscreteGaussianImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('DiscreteGaussianImageFilter', 'itk::DiscreteGaussianImageFilter', 'itkDiscreteGaussianImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('DiscreteGaussianImageFilter', 'itk::DiscreteGaussianImageFilter', 'itkDiscreteGaussianImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('DiscreteGaussianImageFilter', 'itk::DiscreteGaussianImageFilter', 'itkDiscreteGaussianImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('EdgePotentialImageFilter', 'itk::EdgePotentialImageFilter', 'itkEdgePotentialImageFilterICVF22IF2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< float,2 >'),
  ('EdgePotentialImageFilter', 'itk::EdgePotentialImageFilter', 'itkEdgePotentialImageFilterICVF33IF3', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< float,3 >'),
  ('GradientImageFilter', 'itk::GradientImageFilter', 'itkGradientImageFilterIUC2FF', 'itk::Image< unsigned char,2 >,float,float'),
  ('GradientImageFilter', 'itk::GradientImageFilter', 'itkGradientImageFilterIUS2FF', 'itk::Image< unsigned short,2 >,float,float'),
  ('GradientImageFilter', 'itk::GradientImageFilter', 'itkGradientImageFilterIF2FF', 'itk::Image< float,2 >,float,float'),
  ('GradientImageFilter', 'itk::GradientImageFilter', 'itkGradientImageFilterIUC3FF', 'itk::Image< unsigned char,3 >,float,float'),
  ('GradientImageFilter', 'itk::GradientImageFilter', 'itkGradientImageFilterIUS3FF', 'itk::Image< unsigned short,3 >,float,float'),
  ('GradientImageFilter', 'itk::GradientImageFilter', 'itkGradientImageFilterIF3FF', 'itk::Image< float,3 >,float,float'),
  ('GradientMagnitudeImageFilter', 'itk::GradientMagnitudeImageFilter', 'itkGradientMagnitudeImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('GradientMagnitudeImageFilter', 'itk::GradientMagnitudeImageFilter', 'itkGradientMagnitudeImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('GradientMagnitudeImageFilter', 'itk::GradientMagnitudeImageFilter', 'itkGradientMagnitudeImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('GradientMagnitudeImageFilter', 'itk::GradientMagnitudeImageFilter', 'itkGradientMagnitudeImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('GradientMagnitudeImageFilter', 'itk::GradientMagnitudeImageFilter', 'itkGradientMagnitudeImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GradientMagnitudeImageFilter', 'itk::GradientMagnitudeImageFilter', 'itkGradientMagnitudeImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('GradientMagnitudeRecursiveGaussianImageFilter', 'itk::GradientMagnitudeRecursiveGaussianImageFilter', 'itkGradientMagnitudeRecursiveGaussianImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('GradientMagnitudeRecursiveGaussianImageFilter', 'itk::GradientMagnitudeRecursiveGaussianImageFilter', 'itkGradientMagnitudeRecursiveGaussianImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('GradientMagnitudeRecursiveGaussianImageFilter', 'itk::GradientMagnitudeRecursiveGaussianImageFilter', 'itkGradientMagnitudeRecursiveGaussianImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('GradientMagnitudeRecursiveGaussianImageFilter', 'itk::GradientMagnitudeRecursiveGaussianImageFilter', 'itkGradientMagnitudeRecursiveGaussianImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('GradientMagnitudeRecursiveGaussianImageFilter', 'itk::GradientMagnitudeRecursiveGaussianImageFilter', 'itkGradientMagnitudeRecursiveGaussianImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GradientMagnitudeRecursiveGaussianImageFilter', 'itk::GradientMagnitudeRecursiveGaussianImageFilter', 'itkGradientMagnitudeRecursiveGaussianImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('GradientRecursiveGaussianImageFilter', 'itk::GradientRecursiveGaussianImageFilter', 'itkGradientRecursiveGaussianImageFilterIUC2ICVF22', 'itk::Image< unsigned char,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('GradientRecursiveGaussianImageFilter', 'itk::GradientRecursiveGaussianImageFilter', 'itkGradientRecursiveGaussianImageFilterIUS2ICVF22', 'itk::Image< unsigned short,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('GradientRecursiveGaussianImageFilter', 'itk::GradientRecursiveGaussianImageFilter', 'itkGradientRecursiveGaussianImageFilterIF2ICVF22', 'itk::Image< float,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('GradientToMagnitudeImageFilter', 'itk::GradientToMagnitudeImageFilter', 'itkGradientToMagnitudeImageFilterICVF22IUC2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned char,2 >'),
  ('GradientToMagnitudeImageFilter', 'itk::GradientToMagnitudeImageFilter', 'itkGradientToMagnitudeImageFilterICVF33IUC3', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< unsigned char,3 >'),
  ('GradientToMagnitudeImageFilter', 'itk::GradientToMagnitudeImageFilter', 'itkGradientToMagnitudeImageFilterICVF22IUS2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned short,2 >'),
  ('GradientToMagnitudeImageFilter', 'itk::GradientToMagnitudeImageFilter', 'itkGradientToMagnitudeImageFilterICVF33IUS3', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< unsigned short,3 >'),
  ('GradientToMagnitudeImageFilter', 'itk::GradientToMagnitudeImageFilter', 'itkGradientToMagnitudeImageFilterICVF22IF2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< float,2 >'),
  ('GradientToMagnitudeImageFilter', 'itk::GradientToMagnitudeImageFilter', 'itkGradientToMagnitudeImageFilterICVF33IF3', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< float,3 >'),
  ('GradientVectorFlowImageFilter', 'itk::GradientVectorFlowImageFilter', 'itkGradientVectorFlowImageFilterIVF22IVF22F', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >, float'),
  ('GradientVectorFlowImageFilter', 'itk::GradientVectorFlowImageFilter', 'itkGradientVectorFlowImageFilterIVF33IVF33F', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >, float'),
  ('Hessian3DToVesselnessMeasureImageFilter', 'itk::Hessian3DToVesselnessMeasureImageFilter', 'itkHessian3DToVesselnessMeasureImageFilterUC', 'unsigned char'),
  ('Hessian3DToVesselnessMeasureImageFilter', 'itk::Hessian3DToVesselnessMeasureImageFilter', 'itkHessian3DToVesselnessMeasureImageFilterUS', 'unsigned short'),
  ('Hessian3DToVesselnessMeasureImageFilter', 'itk::Hessian3DToVesselnessMeasureImageFilter', 'itkHessian3DToVesselnessMeasureImageFilterF', 'float'),
  ('LaplacianImageFilter', 'itk::LaplacianImageFilter', 'itkLaplacianImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('LaplacianImageFilter', 'itk::LaplacianImageFilter', 'itkLaplacianImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('RecursiveGaussianImageFilter', 'itk::RecursiveGaussianImageFilter', 'itkRecursiveGaussianImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('RecursiveGaussianImageFilter', 'itk::RecursiveGaussianImageFilter', 'itkRecursiveGaussianImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('RecursiveGaussianImageFilter', 'itk::RecursiveGaussianImageFilter', 'itkRecursiveGaussianImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('RecursiveGaussianImageFilter', 'itk::RecursiveGaussianImageFilter', 'itkRecursiveGaussianImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('RecursiveGaussianImageFilter', 'itk::RecursiveGaussianImageFilter', 'itkRecursiveGaussianImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('RecursiveGaussianImageFilter', 'itk::RecursiveGaussianImageFilter', 'itkRecursiveGaussianImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmoothingRecursiveGaussianImageFilter', 'itk::SmoothingRecursiveGaussianImageFilter', 'itkSmoothingRecursiveGaussianImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmoothingRecursiveGaussianImageFilter', 'itk::SmoothingRecursiveGaussianImageFilter', 'itkSmoothingRecursiveGaussianImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmoothingRecursiveGaussianImageFilter', 'itk::SmoothingRecursiveGaussianImageFilter', 'itkSmoothingRecursiveGaussianImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmoothingRecursiveGaussianImageFilter', 'itk::SmoothingRecursiveGaussianImageFilter', 'itkSmoothingRecursiveGaussianImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmoothingRecursiveGaussianImageFilter', 'itk::SmoothingRecursiveGaussianImageFilter', 'itkSmoothingRecursiveGaussianImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmoothingRecursiveGaussianImageFilter', 'itk::SmoothingRecursiveGaussianImageFilter', 'itkSmoothingRecursiveGaussianImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
)
