depends = ('ITKPyBase', 'Base', 'VXLNumerics', )
templates = (
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIUS2IUS2SE2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIUS3IUS3SE3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::FlatStructuringElement< 3 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIUS2IUS2SE2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIUS3IUS3SE3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::FlatStructuringElement< 3 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('DilateObjectMorphologyImageFilter', 'itk::DilateObjectMorphologyImageFilter', 'itkDilateObjectMorphologyImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('DilateObjectMorphologyImageFilter', 'itk::DilateObjectMorphologyImageFilter', 'itkDilateObjectMorphologyImageFilterIUS2IUS2SE2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('DilateObjectMorphologyImageFilter', 'itk::DilateObjectMorphologyImageFilter', 'itkDilateObjectMorphologyImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('DilateObjectMorphologyImageFilter', 'itk::DilateObjectMorphologyImageFilter', 'itkDilateObjectMorphologyImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('DilateObjectMorphologyImageFilter', 'itk::DilateObjectMorphologyImageFilter', 'itkDilateObjectMorphologyImageFilterIUS3IUS3SE3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::FlatStructuringElement< 3 >'),
  ('DilateObjectMorphologyImageFilter', 'itk::DilateObjectMorphologyImageFilter', 'itkDilateObjectMorphologyImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('ErodeObjectMorphologyImageFilter', 'itk::ErodeObjectMorphologyImageFilter', 'itkErodeObjectMorphologyImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('ErodeObjectMorphologyImageFilter', 'itk::ErodeObjectMorphologyImageFilter', 'itkErodeObjectMorphologyImageFilterIUS2IUS2SE2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('ErodeObjectMorphologyImageFilter', 'itk::ErodeObjectMorphologyImageFilter', 'itkErodeObjectMorphologyImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('ErodeObjectMorphologyImageFilter', 'itk::ErodeObjectMorphologyImageFilter', 'itkErodeObjectMorphologyImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('ErodeObjectMorphologyImageFilter', 'itk::ErodeObjectMorphologyImageFilter', 'itkErodeObjectMorphologyImageFilterIUS3IUS3SE3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::FlatStructuringElement< 3 >'),
  ('ErodeObjectMorphologyImageFilter', 'itk::ErodeObjectMorphologyImageFilter', 'itkErodeObjectMorphologyImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIUS2IUS2SE2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIUS3IUS3SE3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIUS2IUS2SE2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIUS3IUS3SE3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIUS2IUS2SE2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIUS3IUS3SE3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIUS2IUS2SE2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIUS3IUS3SE3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIUS2IUS2SE2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIUS3IUS3SE3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIUS2IUS2SE2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIUS3IUS3SE3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIUS2IUS2SE2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIUS3IUS3SE3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::FlatStructuringElement< 3 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIUS2IUS2SE2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIUS3IUS3SE3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::FlatStructuringElement< 3 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIUS2IUS2SE2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIUS3IUS3SE3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::FlatStructuringElement< 3 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
)
