depends = ('ITKPyBase', 'Base', 'VXLNumerics', )
templates = (
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterIRGBUS2IRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterIRGBUS3IRGBUS3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterIRGBAUS2IRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterIRGBAUS3IRGBAUS3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >, itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterIVF22IVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterIVF33IVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterICVF22ICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterICVF33ICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterICF2ICF2', 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterICF3ICF3', 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterIUC3IUC2', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterIUS3IUS2', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,2 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterIF3IF2', 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterIRGBUS3IRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,3 >,itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ExtractImageFilter', 'itk::ExtractImageFilter', 'itkExtractImageFilterICF3ICF2', 'itk::Image< std::complex< float >,3 >,itk::Image< std::complex< float >,2 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('AccumulateImageFilter', 'itk::AccumulateImageFilter', 'itkAccumulateImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('BSplineDownsampleImageFilter', 'itk::BSplineDownsampleImageFilter', 'itkBSplineDownsampleImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('BSplineDownsampleImageFilter', 'itk::BSplineDownsampleImageFilter', 'itkBSplineDownsampleImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('BSplineDownsampleImageFilter', 'itk::BSplineDownsampleImageFilter', 'itkBSplineDownsampleImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BSplineDownsampleImageFilter', 'itk::BSplineDownsampleImageFilter', 'itkBSplineDownsampleImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('BSplineDownsampleImageFilter', 'itk::BSplineDownsampleImageFilter', 'itkBSplineDownsampleImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BSplineDownsampleImageFilter', 'itk::BSplineDownsampleImageFilter', 'itkBSplineDownsampleImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('BSplineUpsampleImageFilter', 'itk::BSplineUpsampleImageFilter', 'itkBSplineUpsampleImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('BSplineUpsampleImageFilter', 'itk::BSplineUpsampleImageFilter', 'itkBSplineUpsampleImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('BSplineUpsampleImageFilter', 'itk::BSplineUpsampleImageFilter', 'itkBSplineUpsampleImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BSplineUpsampleImageFilter', 'itk::BSplineUpsampleImageFilter', 'itkBSplineUpsampleImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('BSplineUpsampleImageFilter', 'itk::BSplineUpsampleImageFilter', 'itkBSplineUpsampleImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BSplineUpsampleImageFilter', 'itk::BSplineUpsampleImageFilter', 'itkBSplineUpsampleImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ConstantPadImageFilter', 'itk::ConstantPadImageFilter', 'itkConstantPadImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ConstantPadImageFilter', 'itk::ConstantPadImageFilter', 'itkConstantPadImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ConstantPadImageFilter', 'itk::ConstantPadImageFilter', 'itkConstantPadImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ConstantPadImageFilter', 'itk::ConstantPadImageFilter', 'itkConstantPadImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ConstantPadImageFilter', 'itk::ConstantPadImageFilter', 'itkConstantPadImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ConstantPadImageFilter', 'itk::ConstantPadImageFilter', 'itkConstantPadImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('CropImageFilter', 'itk::CropImageFilter', 'itkCropImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('CropImageFilter', 'itk::CropImageFilter', 'itkCropImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('CropImageFilter', 'itk::CropImageFilter', 'itkCropImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('CropImageFilter', 'itk::CropImageFilter', 'itkCropImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('CropImageFilter', 'itk::CropImageFilter', 'itkCropImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('CropImageFilter', 'itk::CropImageFilter', 'itkCropImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ExpandImageFilter', 'itk::ExpandImageFilter', 'itkExpandImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ExpandImageFilter', 'itk::ExpandImageFilter', 'itkExpandImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ExpandImageFilter', 'itk::ExpandImageFilter', 'itkExpandImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ExpandImageFilter', 'itk::ExpandImageFilter', 'itkExpandImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ExpandImageFilter', 'itk::ExpandImageFilter', 'itkExpandImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ExpandImageFilter', 'itk::ExpandImageFilter', 'itkExpandImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MirrorPadImageFilter', 'itk::MirrorPadImageFilter', 'itkMirrorPadImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MirrorPadImageFilter', 'itk::MirrorPadImageFilter', 'itkMirrorPadImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MirrorPadImageFilter', 'itk::MirrorPadImageFilter', 'itkMirrorPadImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MirrorPadImageFilter', 'itk::MirrorPadImageFilter', 'itkMirrorPadImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('MirrorPadImageFilter', 'itk::MirrorPadImageFilter', 'itkMirrorPadImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MirrorPadImageFilter', 'itk::MirrorPadImageFilter', 'itkMirrorPadImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ShrinkImageFilter', 'itk::ShrinkImageFilter', 'itkShrinkImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ShrinkImageFilter', 'itk::ShrinkImageFilter', 'itkShrinkImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ShrinkImageFilter', 'itk::ShrinkImageFilter', 'itkShrinkImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ShrinkImageFilter', 'itk::ShrinkImageFilter', 'itkShrinkImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ShrinkImageFilter', 'itk::ShrinkImageFilter', 'itkShrinkImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ShrinkImageFilter', 'itk::ShrinkImageFilter', 'itkShrinkImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
)
