depends = ('ITKPyBase', 'Base', 'VXLNumerics', )
templates = (
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIUS2IUS2SE2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIUS3IUS3SE3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::FlatStructuringElement< 3 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterIUC2PLPP2', 'itk::Image< unsigned char,2 >, itk::PolyLineParametricPath< 2 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterIUS2PLPP2', 'itk::Image< unsigned short,2 >, itk::PolyLineParametricPath< 2 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterIF2PLPP2', 'itk::Image< float,2 >, itk::PolyLineParametricPath< 2 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterIUC3PLPP3', 'itk::Image< unsigned char,3 >, itk::PolyLineParametricPath< 3 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterIUS3PLPP3', 'itk::Image< unsigned short,3 >, itk::PolyLineParametricPath< 3 >'),
  ('ImageToPathFilter', 'itk::ImageToPathFilter', 'itkImageToPathFilterIF3PLPP3', 'itk::Image< float,3 >, itk::PolyLineParametricPath< 3 >'),
  ('AddConstantToImageFilter', 'itk::AddConstantToImageFilter', 'itkAddConstantToImageFilterIUC2UCIUC2', 'itk::Image< unsigned char,2 >,unsigned char,itk::Image< unsigned char,2 >'),
  ('AddConstantToImageFilter', 'itk::AddConstantToImageFilter', 'itkAddConstantToImageFilterIUS2USIUS2', 'itk::Image< unsigned short,2 >,unsigned short,itk::Image< unsigned short,2 >'),
  ('AddConstantToImageFilter', 'itk::AddConstantToImageFilter', 'itkAddConstantToImageFilterIF2FIF2', 'itk::Image< float,2 >,float,itk::Image< float,2 >'),
  ('AddConstantToImageFilter', 'itk::AddConstantToImageFilter', 'itkAddConstantToImageFilterIUC3UCIUC3', 'itk::Image< unsigned char,3 >,unsigned char,itk::Image< unsigned char,3 >'),
  ('AddConstantToImageFilter', 'itk::AddConstantToImageFilter', 'itkAddConstantToImageFilterIUS3USIUS3', 'itk::Image< unsigned short,3 >,unsigned short,itk::Image< unsigned short,3 >'),
  ('AddConstantToImageFilter', 'itk::AddConstantToImageFilter', 'itkAddConstantToImageFilterIF3FIF3', 'itk::Image< float,3 >,float,itk::Image< float,3 >'),
  ('AreaClosingImageFilter', 'itk::AreaClosingImageFilter', 'itkAreaClosingImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('AreaClosingImageFilter', 'itk::AreaClosingImageFilter', 'itkAreaClosingImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('AreaClosingImageFilter', 'itk::AreaClosingImageFilter', 'itkAreaClosingImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('AreaClosingImageFilter', 'itk::AreaClosingImageFilter', 'itkAreaClosingImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('AreaClosingImageFilter', 'itk::AreaClosingImageFilter', 'itkAreaClosingImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('AreaClosingImageFilter', 'itk::AreaClosingImageFilter', 'itkAreaClosingImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('AreaOpeningImageFilter', 'itk::AreaOpeningImageFilter', 'itkAreaOpeningImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('AreaOpeningImageFilter', 'itk::AreaOpeningImageFilter', 'itkAreaOpeningImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('AreaOpeningImageFilter', 'itk::AreaOpeningImageFilter', 'itkAreaOpeningImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('AreaOpeningImageFilter', 'itk::AreaOpeningImageFilter', 'itkAreaOpeningImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('AreaOpeningImageFilter', 'itk::AreaOpeningImageFilter', 'itkAreaOpeningImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('AreaOpeningImageFilter', 'itk::AreaOpeningImageFilter', 'itkAreaOpeningImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('BinaryContourImageFilter', 'itk::BinaryContourImageFilter', 'itkBinaryContourImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('BinaryContourImageFilter', 'itk::BinaryContourImageFilter', 'itkBinaryContourImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('BinaryContourImageFilter', 'itk::BinaryContourImageFilter', 'itkBinaryContourImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BinaryContourImageFilter', 'itk::BinaryContourImageFilter', 'itkBinaryContourImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('BinaryContourImageFilter', 'itk::BinaryContourImageFilter', 'itkBinaryContourImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BinaryContourImageFilter', 'itk::BinaryContourImageFilter', 'itkBinaryContourImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('BinaryMorphologicalClosingImageFilter', 'itk::BinaryMorphologicalClosingImageFilter', 'itkBinaryMorphologicalClosingImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('BinaryMorphologicalClosingImageFilter', 'itk::BinaryMorphologicalClosingImageFilter', 'itkBinaryMorphologicalClosingImageFilterIUS2IUS2SE2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('BinaryMorphologicalClosingImageFilter', 'itk::BinaryMorphologicalClosingImageFilter', 'itkBinaryMorphologicalClosingImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('BinaryMorphologicalClosingImageFilter', 'itk::BinaryMorphologicalClosingImageFilter', 'itkBinaryMorphologicalClosingImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('BinaryMorphologicalClosingImageFilter', 'itk::BinaryMorphologicalClosingImageFilter', 'itkBinaryMorphologicalClosingImageFilterIUS3IUS3SE3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::FlatStructuringElement< 3 >'),
  ('BinaryMorphologicalClosingImageFilter', 'itk::BinaryMorphologicalClosingImageFilter', 'itkBinaryMorphologicalClosingImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('BinaryMorphologicalOpeningImageFilter', 'itk::BinaryMorphologicalOpeningImageFilter', 'itkBinaryMorphologicalOpeningImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('BinaryMorphologicalOpeningImageFilter', 'itk::BinaryMorphologicalOpeningImageFilter', 'itkBinaryMorphologicalOpeningImageFilterIUS2IUS2SE2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('BinaryMorphologicalOpeningImageFilter', 'itk::BinaryMorphologicalOpeningImageFilter', 'itkBinaryMorphologicalOpeningImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('BinaryMorphologicalOpeningImageFilter', 'itk::BinaryMorphologicalOpeningImageFilter', 'itkBinaryMorphologicalOpeningImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('BinaryMorphologicalOpeningImageFilter', 'itk::BinaryMorphologicalOpeningImageFilter', 'itkBinaryMorphologicalOpeningImageFilterIUS3IUS3SE3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::FlatStructuringElement< 3 >'),
  ('BinaryMorphologicalOpeningImageFilter', 'itk::BinaryMorphologicalOpeningImageFilter', 'itkBinaryMorphologicalOpeningImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIUC3IUC2', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('BinaryProjectionImageFilter', 'itk::BinaryProjectionImageFilter', 'itkBinaryProjectionImageFilterIUS3IUS2', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,2 >'),
  ('BinaryThresholdProjectionImageFilter', 'itk::BinaryThresholdProjectionImageFilter', 'itkBinaryThresholdProjectionImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('BinaryThresholdProjectionImageFilter', 'itk::BinaryThresholdProjectionImageFilter', 'itkBinaryThresholdProjectionImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('BinaryThresholdProjectionImageFilter', 'itk::BinaryThresholdProjectionImageFilter', 'itkBinaryThresholdProjectionImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BinaryThresholdProjectionImageFilter', 'itk::BinaryThresholdProjectionImageFilter', 'itkBinaryThresholdProjectionImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('BinaryThresholdProjectionImageFilter', 'itk::BinaryThresholdProjectionImageFilter', 'itkBinaryThresholdProjectionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BinaryThresholdProjectionImageFilter', 'itk::BinaryThresholdProjectionImageFilter', 'itkBinaryThresholdProjectionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('BinaryThresholdProjectionImageFilter', 'itk::BinaryThresholdProjectionImageFilter', 'itkBinaryThresholdProjectionImageFilterIUC3IUC2', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('BinaryThresholdProjectionImageFilter', 'itk::BinaryThresholdProjectionImageFilter', 'itkBinaryThresholdProjectionImageFilterIUS3IUS2', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,2 >'),
  ('BinaryThresholdProjectionImageFilter', 'itk::BinaryThresholdProjectionImageFilter', 'itkBinaryThresholdProjectionImageFilterIF3IF2', 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('BoxMeanImageFilter', 'itk::BoxMeanImageFilter', 'itkBoxMeanImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('BoxMeanImageFilter', 'itk::BoxMeanImageFilter', 'itkBoxMeanImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('BoxMeanImageFilter', 'itk::BoxMeanImageFilter', 'itkBoxMeanImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BoxMeanImageFilter', 'itk::BoxMeanImageFilter', 'itkBoxMeanImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('BoxMeanImageFilter', 'itk::BoxMeanImageFilter', 'itkBoxMeanImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BoxMeanImageFilter', 'itk::BoxMeanImageFilter', 'itkBoxMeanImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('BoxSigmaImageFilter', 'itk::BoxSigmaImageFilter', 'itkBoxSigmaImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('BoxSigmaImageFilter', 'itk::BoxSigmaImageFilter', 'itkBoxSigmaImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('BoxSigmaImageFilter', 'itk::BoxSigmaImageFilter', 'itkBoxSigmaImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BoxSigmaImageFilter', 'itk::BoxSigmaImageFilter', 'itkBoxSigmaImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('BoxSigmaImageFilter', 'itk::BoxSigmaImageFilter', 'itkBoxSigmaImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BoxSigmaImageFilter', 'itk::BoxSigmaImageFilter', 'itkBoxSigmaImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ContourExtractor2DImageFilter', 'itk::ContourExtractor2DImageFilter', 'itkContourExtractor2DImageFilterIUC2', 'itk::Image< unsigned char,2 >'),
  ('ContourExtractor2DImageFilter', 'itk::ContourExtractor2DImageFilter', 'itkContourExtractor2DImageFilterIUS2', 'itk::Image< unsigned short,2 >'),
  ('ContourExtractor2DImageFilter', 'itk::ContourExtractor2DImageFilter', 'itkContourExtractor2DImageFilterIF2', 'itk::Image< float,2 >'),
  ('ConvolutionImageFilter', 'itk::ConvolutionImageFilter', 'itkConvolutionImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ConvolutionImageFilter', 'itk::ConvolutionImageFilter', 'itkConvolutionImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ConvolutionImageFilter', 'itk::ConvolutionImageFilter', 'itkConvolutionImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ConvolutionImageFilter', 'itk::ConvolutionImageFilter', 'itkConvolutionImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ConvolutionImageFilter', 'itk::ConvolutionImageFilter', 'itkConvolutionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ConvolutionImageFilter', 'itk::ConvolutionImageFilter', 'itkConvolutionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('DivideByConstantImageFilter', 'itk::DivideByConstantImageFilter', 'itkDivideByConstantImageFilterIUC2UCIUC2', 'itk::Image< unsigned char,2 >,unsigned char,itk::Image< unsigned char,2 >'),
  ('DivideByConstantImageFilter', 'itk::DivideByConstantImageFilter', 'itkDivideByConstantImageFilterIUS2USIUS2', 'itk::Image< unsigned short,2 >,unsigned short,itk::Image< unsigned short,2 >'),
  ('DivideByConstantImageFilter', 'itk::DivideByConstantImageFilter', 'itkDivideByConstantImageFilterIF2FIF2', 'itk::Image< float,2 >,float,itk::Image< float,2 >'),
  ('DivideByConstantImageFilter', 'itk::DivideByConstantImageFilter', 'itkDivideByConstantImageFilterIUC3UCIUC3', 'itk::Image< unsigned char,3 >,unsigned char,itk::Image< unsigned char,3 >'),
  ('DivideByConstantImageFilter', 'itk::DivideByConstantImageFilter', 'itkDivideByConstantImageFilterIUS3USIUS3', 'itk::Image< unsigned short,3 >,unsigned short,itk::Image< unsigned short,3 >'),
  ('DivideByConstantImageFilter', 'itk::DivideByConstantImageFilter', 'itkDivideByConstantImageFilterIF3FIF3', 'itk::Image< float,3 >,float,itk::Image< float,3 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIRGBUS2IRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIRGBUS3IRGBUS3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIRGBAUS2IRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIRGBAUS3IRGBAUS3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >, itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIVF22IVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIVF33IVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterICVF22ICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterICVF33ICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterICF2ICF2', 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterICF3ICF3', 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >'),
  ('FastApproximateRankImageFilter', 'itk::FastApproximateRankImageFilter', 'itkFastApproximateRankImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('FastApproximateRankImageFilter', 'itk::FastApproximateRankImageFilter', 'itkFastApproximateRankImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('FastApproximateRankImageFilter', 'itk::FastApproximateRankImageFilter', 'itkFastApproximateRankImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('FastApproximateRankImageFilter', 'itk::FastApproximateRankImageFilter', 'itkFastApproximateRankImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('FastApproximateRankImageFilter', 'itk::FastApproximateRankImageFilter', 'itkFastApproximateRankImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('FastApproximateRankImageFilter', 'itk::FastApproximateRankImageFilter', 'itkFastApproximateRankImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterIUC2IUS2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterIUC3IUS3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterIUS2IUC2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterIUS3IUC3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterIF2IUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterIF3IUC3', 'itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterIF2IUS2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('KappaSigmaThresholdImageFilter', 'itk::KappaSigmaThresholdImageFilter', 'itkKappaSigmaThresholdImageFilterIF3IUS3', 'itk::Image< float,3 >, itk::Image< unsigned short,3 >'),
  ('LabelContourImageFilter', 'itk::LabelContourImageFilter', 'itkLabelContourImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('LabelContourImageFilter', 'itk::LabelContourImageFilter', 'itkLabelContourImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('LabelContourImageFilter', 'itk::LabelContourImageFilter', 'itkLabelContourImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('LabelContourImageFilter', 'itk::LabelContourImageFilter', 'itkLabelContourImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('LabelContourImageFilter', 'itk::LabelContourImageFilter', 'itkLabelContourImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('LabelContourImageFilter', 'itk::LabelContourImageFilter', 'itkLabelContourImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('LabelOverlayImageFilter', 'itk::LabelOverlayImageFilter', 'itkLabelOverlayImageFilterIUS2IUC2IRGBUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('LabelOverlayImageFilter', 'itk::LabelOverlayImageFilter', 'itkLabelOverlayImageFilterIUS3IUC3IRGBUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('LabelOverlayImageFilter', 'itk::LabelOverlayImageFilter', 'itkLabelOverlayImageFilterIUS2IUS2IRGBUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('LabelOverlayImageFilter', 'itk::LabelOverlayImageFilter', 'itkLabelOverlayImageFilterIUS3IUS3IRGBUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('LabelOverlayImageFilter', 'itk::LabelOverlayImageFilter', 'itkLabelOverlayImageFilterIUS2IUL2IRGBUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned long,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('LabelOverlayImageFilter', 'itk::LabelOverlayImageFilter', 'itkLabelOverlayImageFilterIUS3IUL3IRGBUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned long,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('LabelToRGBImageFilter', 'itk::LabelToRGBImageFilter', 'itkLabelToRGBImageFilterIUC2IRGBUS2', 'itk::Image< unsigned char,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('LabelToRGBImageFilter', 'itk::LabelToRGBImageFilter', 'itkLabelToRGBImageFilterIUC3IRGBUS3', 'itk::Image< unsigned char,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('LabelToRGBImageFilter', 'itk::LabelToRGBImageFilter', 'itkLabelToRGBImageFilterIUS2IRGBUS2', 'itk::Image< unsigned short,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('LabelToRGBImageFilter', 'itk::LabelToRGBImageFilter', 'itkLabelToRGBImageFilterIUS3IRGBUS3', 'itk::Image< unsigned short,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('LabelToRGBImageFilter', 'itk::LabelToRGBImageFilter', 'itkLabelToRGBImageFilterIUL2IRGBUS2', 'itk::Image< unsigned long,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('LabelToRGBImageFilter', 'itk::LabelToRGBImageFilter', 'itkLabelToRGBImageFilterIUL3IRGBUS3', 'itk::Image< unsigned long,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterIUC2IUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterIUC2IUS2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned short,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterIUS2IUC2IUS2SE2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned char,2 >,itk::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterIUS2IUS2IUS2SE2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterIF2IUC2IF2SE2', 'itk::Image< float,2 >,itk::Image< unsigned char,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterIF2IUS2IF2SE2', 'itk::Image< float,2 >,itk::Image< unsigned short,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterIUC3IUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterIUC3IUS3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned short,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterIUS3IUC3IUS3SE3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned char,3 >,itk::Image< unsigned short,3 >,itk::FlatStructuringElement< 3 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterIUS3IUS3IUS3SE3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::FlatStructuringElement< 3 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterIF3IUC3IF3SE3', 'itk::Image< float,3 >,itk::Image< unsigned char,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('MaskedRankImageFilter', 'itk::MaskedRankImageFilter', 'itkMaskedRankImageFilterIF3IUS3IF3SE3', 'itk::Image< float,3 >,itk::Image< unsigned short,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIUC3IUC2', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIUS3IUS2', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,2 >'),
  ('MaximumProjectionImageFilter', 'itk::MaximumProjectionImageFilter', 'itkMaximumProjectionImageFilterIF3IF2', 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIUC3IUC2', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIUS3IUS2', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,2 >'),
  ('MeanProjectionImageFilter', 'itk::MeanProjectionImageFilter', 'itkMeanProjectionImageFilterIF3IF2', 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIUC3IUC2', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIUS3IUS2', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,2 >'),
  ('MedianProjectionImageFilter', 'itk::MedianProjectionImageFilter', 'itkMedianProjectionImageFilterIF3IF2', 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIUC3IUC2', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIUS3IUS2', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,2 >'),
  ('MinimumProjectionImageFilter', 'itk::MinimumProjectionImageFilter', 'itkMinimumProjectionImageFilterIF3IF2', 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIUC2IUS2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIUC3IUS3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIUS2IUC2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIUS3IUC3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIF2IUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIF3IUC3', 'itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIF2IUS2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIF3IUS3', 'itk::Image< float,3 >, itk::Image< unsigned short,3 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIUC2IUS2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIUC3IUS3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIUS2IUC2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIUS3IUC3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIF2IUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIF3IUC3', 'itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIF2IUS2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIF3IUS3', 'itk::Image< float,3 >, itk::Image< unsigned short,3 >'),
  ('MultiplyByConstantImageFilter', 'itk::MultiplyByConstantImageFilter', 'itkMultiplyByConstantImageFilterIUC2UCIUC2', 'itk::Image< unsigned char,2 >,unsigned char,itk::Image< unsigned char,2 >'),
  ('MultiplyByConstantImageFilter', 'itk::MultiplyByConstantImageFilter', 'itkMultiplyByConstantImageFilterIUS2USIUS2', 'itk::Image< unsigned short,2 >,unsigned short,itk::Image< unsigned short,2 >'),
  ('MultiplyByConstantImageFilter', 'itk::MultiplyByConstantImageFilter', 'itkMultiplyByConstantImageFilterIF2FIF2', 'itk::Image< float,2 >,float,itk::Image< float,2 >'),
  ('MultiplyByConstantImageFilter', 'itk::MultiplyByConstantImageFilter', 'itkMultiplyByConstantImageFilterIUC3UCIUC3', 'itk::Image< unsigned char,3 >,unsigned char,itk::Image< unsigned char,3 >'),
  ('MultiplyByConstantImageFilter', 'itk::MultiplyByConstantImageFilter', 'itkMultiplyByConstantImageFilterIUS3USIUS3', 'itk::Image< unsigned short,3 >,unsigned short,itk::Image< unsigned short,3 >'),
  ('MultiplyByConstantImageFilter', 'itk::MultiplyByConstantImageFilter', 'itkMultiplyByConstantImageFilterIF3FIF3', 'itk::Image< float,3 >,float,itk::Image< float,3 >'),
  ('RankImageFilter', 'itk::RankImageFilter', 'itkRankImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('RankImageFilter', 'itk::RankImageFilter', 'itkRankImageFilterIUS2IUS2SE2', 'itk::Image< unsigned short,2 >,itk::Image< unsigned short,2 >,itk::FlatStructuringElement< 2 >'),
  ('RankImageFilter', 'itk::RankImageFilter', 'itkRankImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('RankImageFilter', 'itk::RankImageFilter', 'itkRankImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('RankImageFilter', 'itk::RankImageFilter', 'itkRankImageFilterIUS3IUS3SE3', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,3 >,itk::FlatStructuringElement< 3 >'),
  ('RankImageFilter', 'itk::RankImageFilter', 'itkRankImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('RegionalMaximaImageFilter', 'itk::RegionalMaximaImageFilter', 'itkRegionalMaximaImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('RegionalMinimaImageFilter', 'itk::RegionalMinimaImageFilter', 'itkRegionalMinimaImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterIUC2IUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterIUC3IUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterIUC2IUC2IUS2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterIUC3IUC3IUS3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterIUS2IUS2IUC2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterIUS3IUS3IUC3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterIUS2IUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterIUS3IUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterIF2IF2IUC2', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterIF3IF3IUC3', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterIF2IF2IUS2', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('RobustAutomaticThresholdImageFilter', 'itk::RobustAutomaticThresholdImageFilter', 'itkRobustAutomaticThresholdImageFilterIF3IF3IUS3', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< unsigned short,3 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIUC2IRGBUS2', 'itk::Image< unsigned char,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIUC3IRGBUS3', 'itk::Image< unsigned char,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIUC2IRGBAUS2', 'itk::Image< unsigned char,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIUC3IRGBAUS3', 'itk::Image< unsigned char,3 >, itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIUS2IRGBUS2', 'itk::Image< unsigned short,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIUS3IRGBUS3', 'itk::Image< unsigned short,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIUS2IRGBAUS2', 'itk::Image< unsigned short,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIUS3IRGBAUS3', 'itk::Image< unsigned short,3 >, itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIF2IRGBUS2', 'itk::Image< float,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIF3IRGBUS3', 'itk::Image< float,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIF2IRGBAUS2', 'itk::Image< float,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIF3IRGBAUS3', 'itk::Image< float,3 >, itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('SliceBySliceImageFilter', 'itk::SliceBySliceImageFilter', 'itkSliceBySliceImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SliceBySliceImageFilter', 'itk::SliceBySliceImageFilter', 'itkSliceBySliceImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SliceBySliceImageFilter', 'itk::SliceBySliceImageFilter', 'itkSliceBySliceImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SliceBySliceImageFilter', 'itk::SliceBySliceImageFilter', 'itkSliceBySliceImageFilterIRGBUS3IRGBUS3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('SliceBySliceImageFilter', 'itk::SliceBySliceImageFilter', 'itkSliceBySliceImageFilterICF3ICF3', 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIUC3IUC2', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIUS3IUS2', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,2 >'),
  ('StandardDeviationProjectionImageFilter', 'itk::StandardDeviationProjectionImageFilter', 'itkStandardDeviationProjectionImageFilterIF3IF2', 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('SubtractConstantFromImageFilter', 'itk::SubtractConstantFromImageFilter', 'itkSubtractConstantFromImageFilterIUC2UCIUC2', 'itk::Image< unsigned char,2 >,unsigned char,itk::Image< unsigned char,2 >'),
  ('SubtractConstantFromImageFilter', 'itk::SubtractConstantFromImageFilter', 'itkSubtractConstantFromImageFilterIUS2USIUS2', 'itk::Image< unsigned short,2 >,unsigned short,itk::Image< unsigned short,2 >'),
  ('SubtractConstantFromImageFilter', 'itk::SubtractConstantFromImageFilter', 'itkSubtractConstantFromImageFilterIF2FIF2', 'itk::Image< float,2 >,float,itk::Image< float,2 >'),
  ('SubtractConstantFromImageFilter', 'itk::SubtractConstantFromImageFilter', 'itkSubtractConstantFromImageFilterIUC3UCIUC3', 'itk::Image< unsigned char,3 >,unsigned char,itk::Image< unsigned char,3 >'),
  ('SubtractConstantFromImageFilter', 'itk::SubtractConstantFromImageFilter', 'itkSubtractConstantFromImageFilterIUS3USIUS3', 'itk::Image< unsigned short,3 >,unsigned short,itk::Image< unsigned short,3 >'),
  ('SubtractConstantFromImageFilter', 'itk::SubtractConstantFromImageFilter', 'itkSubtractConstantFromImageFilterIF3FIF3', 'itk::Image< float,3 >,float,itk::Image< float,3 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIUC3IUC2', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIUS3IUS2', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,2 >'),
  ('SumProjectionImageFilter', 'itk::SumProjectionImageFilter', 'itkSumProjectionImageFilterIF3IF2', 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ValuedRegionalMaximaImageFilter', 'itk::ValuedRegionalMaximaImageFilter', 'itkValuedRegionalMaximaImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ValuedRegionalMinimaImageFilter', 'itk::ValuedRegionalMinimaImageFilter', 'itkValuedRegionalMinimaImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
)
