depends = ('ITKPyBase', 'Base', 'VXLNumerics', )
templates = (
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIUC2UCF', 'itk::VectorImage< unsigned char,2 >, unsigned char, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIUC2USF', 'itk::VectorImage< unsigned char,2 >, unsigned short, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIUS2UCF', 'itk::VectorImage< unsigned short,2 >, unsigned char, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIUS2USF', 'itk::VectorImage< unsigned short,2 >, unsigned short, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIF2UCF', 'itk::VectorImage< float,2 >, unsigned char, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIF2USF', 'itk::VectorImage< float,2 >, unsigned short, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIUC3UCF', 'itk::VectorImage< unsigned char,3 >, unsigned char, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIUC3USF', 'itk::VectorImage< unsigned char,3 >, unsigned short, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIUS3UCF', 'itk::VectorImage< unsigned short,3 >, unsigned char, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIUS3USF', 'itk::VectorImage< unsigned short,3 >, unsigned short, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIF3UCF', 'itk::VectorImage< float,3 >, unsigned char, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIF3USF', 'itk::VectorImage< float,3 >, unsigned short, float'),
  ('BayesianClassifierInitializationImageFilter', 'itk::BayesianClassifierInitializationImageFilter', 'itkBayesianClassifierInitializationImageFilterIUC2F', 'itk::Image< unsigned char,2 >, float'),
  ('BayesianClassifierInitializationImageFilter', 'itk::BayesianClassifierInitializationImageFilter', 'itkBayesianClassifierInitializationImageFilterIUS2F', 'itk::Image< unsigned short,2 >, float'),
  ('BayesianClassifierInitializationImageFilter', 'itk::BayesianClassifierInitializationImageFilter', 'itkBayesianClassifierInitializationImageFilterIF2F', 'itk::Image< float,2 >, float'),
  ('BayesianClassifierInitializationImageFilter', 'itk::BayesianClassifierInitializationImageFilter', 'itkBayesianClassifierInitializationImageFilterIUC3F', 'itk::Image< unsigned char,3 >, float'),
  ('BayesianClassifierInitializationImageFilter', 'itk::BayesianClassifierInitializationImageFilter', 'itkBayesianClassifierInitializationImageFilterIUS3F', 'itk::Image< unsigned short,3 >, float'),
  ('BayesianClassifierInitializationImageFilter', 'itk::BayesianClassifierInitializationImageFilter', 'itkBayesianClassifierInitializationImageFilterIF3F', 'itk::Image< float,3 >, float'),
  ('ChangeLabelImageFilter', 'itk::ChangeLabelImageFilter', 'itkChangeLabelImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ChangeLabelImageFilter', 'itk::ChangeLabelImageFilter', 'itkChangeLabelImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ChangeLabelImageFilter', 'itk::ChangeLabelImageFilter', 'itkChangeLabelImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ChangeLabelImageFilter', 'itk::ChangeLabelImageFilter', 'itkChangeLabelImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ConfidenceConnectedImageFilter', 'itk::ConfidenceConnectedImageFilter', 'itkConfidenceConnectedImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ConfidenceConnectedImageFilter', 'itk::ConfidenceConnectedImageFilter', 'itkConfidenceConnectedImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ConfidenceConnectedImageFilter', 'itk::ConfidenceConnectedImageFilter', 'itkConfidenceConnectedImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ConfidenceConnectedImageFilter', 'itk::ConfidenceConnectedImageFilter', 'itkConfidenceConnectedImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ConfidenceConnectedImageFilter', 'itk::ConfidenceConnectedImageFilter', 'itkConfidenceConnectedImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ConfidenceConnectedImageFilter', 'itk::ConfidenceConnectedImageFilter', 'itkConfidenceConnectedImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUC2IUL2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned long,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUC3IUL3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned long,3 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUC2IUS2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUC3IUS3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUS2IUL2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned long,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUS3IUL3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned long,3 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUS2IUC2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUS3IUC3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ConnectedComponentImageFilter', 'itk::ConnectedComponentImageFilter', 'itkConnectedComponentImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ConnectedThresholdImageFilter', 'itk::ConnectedThresholdImageFilter', 'itkConnectedThresholdImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ConnectedThresholdImageFilter', 'itk::ConnectedThresholdImageFilter', 'itkConnectedThresholdImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ConnectedThresholdImageFilter', 'itk::ConnectedThresholdImageFilter', 'itkConnectedThresholdImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ConnectedThresholdImageFilter', 'itk::ConnectedThresholdImageFilter', 'itkConnectedThresholdImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ConnectedThresholdImageFilter', 'itk::ConnectedThresholdImageFilter', 'itkConnectedThresholdImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ConnectedThresholdImageFilter', 'itk::ConnectedThresholdImageFilter', 'itkConnectedThresholdImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIF2IUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIF3IUC3', 'itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIF2IUS2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIF3IUS3', 'itk::Image< float,3 >, itk::Image< unsigned short,3 >'),
  ('IsolatedConnectedImageFilter', 'itk::IsolatedConnectedImageFilter', 'itkIsolatedConnectedImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('IsolatedConnectedImageFilter', 'itk::IsolatedConnectedImageFilter', 'itkIsolatedConnectedImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('IsolatedConnectedImageFilter', 'itk::IsolatedConnectedImageFilter', 'itkIsolatedConnectedImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('IsolatedConnectedImageFilter', 'itk::IsolatedConnectedImageFilter', 'itkIsolatedConnectedImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('IsolatedConnectedImageFilter', 'itk::IsolatedConnectedImageFilter', 'itkIsolatedConnectedImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('IsolatedConnectedImageFilter', 'itk::IsolatedConnectedImageFilter', 'itkIsolatedConnectedImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('LabelVotingImageFilter', 'itk::LabelVotingImageFilter', 'itkLabelVotingImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('LabelVotingImageFilter', 'itk::LabelVotingImageFilter', 'itkLabelVotingImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('LabelVotingImageFilter', 'itk::LabelVotingImageFilter', 'itkLabelVotingImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('LabelVotingImageFilter', 'itk::LabelVotingImageFilter', 'itkLabelVotingImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('NeighborhoodConnectedImageFilter', 'itk::NeighborhoodConnectedImageFilter', 'itkNeighborhoodConnectedImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('NeighborhoodConnectedImageFilter', 'itk::NeighborhoodConnectedImageFilter', 'itkNeighborhoodConnectedImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('NeighborhoodConnectedImageFilter', 'itk::NeighborhoodConnectedImageFilter', 'itkNeighborhoodConnectedImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('NeighborhoodConnectedImageFilter', 'itk::NeighborhoodConnectedImageFilter', 'itkNeighborhoodConnectedImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('NeighborhoodConnectedImageFilter', 'itk::NeighborhoodConnectedImageFilter', 'itkNeighborhoodConnectedImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('NeighborhoodConnectedImageFilter', 'itk::NeighborhoodConnectedImageFilter', 'itkNeighborhoodConnectedImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('OtsuMultipleThresholdsImageFilter', 'itk::OtsuMultipleThresholdsImageFilter', 'itkOtsuMultipleThresholdsImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('OtsuMultipleThresholdsImageFilter', 'itk::OtsuMultipleThresholdsImageFilter', 'itkOtsuMultipleThresholdsImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('OtsuMultipleThresholdsImageFilter', 'itk::OtsuMultipleThresholdsImageFilter', 'itkOtsuMultipleThresholdsImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('OtsuMultipleThresholdsImageFilter', 'itk::OtsuMultipleThresholdsImageFilter', 'itkOtsuMultipleThresholdsImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('OtsuMultipleThresholdsImageFilter', 'itk::OtsuMultipleThresholdsImageFilter', 'itkOtsuMultipleThresholdsImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('OtsuMultipleThresholdsImageFilter', 'itk::OtsuMultipleThresholdsImageFilter', 'itkOtsuMultipleThresholdsImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('OtsuThresholdImageCalculator', 'itk::OtsuThresholdImageCalculator', 'itkOtsuThresholdImageCalculatorIUC2', 'itk::Image< unsigned char,2 >'),
  ('OtsuThresholdImageCalculator', 'itk::OtsuThresholdImageCalculator', 'itkOtsuThresholdImageCalculatorIUC3', 'itk::Image< unsigned char,3 >'),
  ('OtsuThresholdImageCalculator', 'itk::OtsuThresholdImageCalculator', 'itkOtsuThresholdImageCalculatorIUS2', 'itk::Image< unsigned short,2 >'),
  ('OtsuThresholdImageCalculator', 'itk::OtsuThresholdImageCalculator', 'itkOtsuThresholdImageCalculatorIUS3', 'itk::Image< unsigned short,3 >'),
  ('OtsuThresholdImageCalculator', 'itk::OtsuThresholdImageCalculator', 'itkOtsuThresholdImageCalculatorIF2', 'itk::Image< float,2 >'),
  ('OtsuThresholdImageCalculator', 'itk::OtsuThresholdImageCalculator', 'itkOtsuThresholdImageCalculatorIF3', 'itk::Image< float,3 >'),
  ('OtsuThresholdImageFilter', 'itk::OtsuThresholdImageFilter', 'itkOtsuThresholdImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('OtsuThresholdImageFilter', 'itk::OtsuThresholdImageFilter', 'itkOtsuThresholdImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('OtsuThresholdImageFilter', 'itk::OtsuThresholdImageFilter', 'itkOtsuThresholdImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('OtsuThresholdImageFilter', 'itk::OtsuThresholdImageFilter', 'itkOtsuThresholdImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('OtsuThresholdImageFilter', 'itk::OtsuThresholdImageFilter', 'itkOtsuThresholdImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('OtsuThresholdImageFilter', 'itk::OtsuThresholdImageFilter', 'itkOtsuThresholdImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('RelabelComponentImageFilter', 'itk::RelabelComponentImageFilter', 'itkRelabelComponentImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('RelabelComponentImageFilter', 'itk::RelabelComponentImageFilter', 'itkRelabelComponentImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('RelabelComponentImageFilter', 'itk::RelabelComponentImageFilter', 'itkRelabelComponentImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('RelabelComponentImageFilter', 'itk::RelabelComponentImageFilter', 'itkRelabelComponentImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('RelabelComponentImageFilter', 'itk::RelabelComponentImageFilter', 'itkRelabelComponentImageFilterIUL2IUC2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned char,2 >'),
  ('RelabelComponentImageFilter', 'itk::RelabelComponentImageFilter', 'itkRelabelComponentImageFilterIUL3IUC3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned char,3 >'),
  ('RelabelComponentImageFilter', 'itk::RelabelComponentImageFilter', 'itkRelabelComponentImageFilterIUL2IUS2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned short,2 >'),
  ('RelabelComponentImageFilter', 'itk::RelabelComponentImageFilter', 'itkRelabelComponentImageFilterIUL3IUS3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned short,3 >'),
  ('ScalarConnectedComponentImageFilter', 'itk::ScalarConnectedComponentImageFilter', 'itkScalarConnectedComponentImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ScalarConnectedComponentImageFilter', 'itk::ScalarConnectedComponentImageFilter', 'itkScalarConnectedComponentImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ScalarConnectedComponentImageFilter', 'itk::ScalarConnectedComponentImageFilter', 'itkScalarConnectedComponentImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ScalarConnectedComponentImageFilter', 'itk::ScalarConnectedComponentImageFilter', 'itkScalarConnectedComponentImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ThresholdImageFilter', 'itk::ThresholdImageFilter', 'itkThresholdImageFilterIUC2', 'itk::Image< unsigned char,2 >'),
  ('ThresholdImageFilter', 'itk::ThresholdImageFilter', 'itkThresholdImageFilterIUC3', 'itk::Image< unsigned char,3 >'),
  ('ThresholdImageFilter', 'itk::ThresholdImageFilter', 'itkThresholdImageFilterIUS2', 'itk::Image< unsigned short,2 >'),
  ('ThresholdImageFilter', 'itk::ThresholdImageFilter', 'itkThresholdImageFilterIUS3', 'itk::Image< unsigned short,3 >'),
  ('ThresholdImageFilter', 'itk::ThresholdImageFilter', 'itkThresholdImageFilterIF2', 'itk::Image< float,2 >'),
  ('ThresholdImageFilter', 'itk::ThresholdImageFilter', 'itkThresholdImageFilterIF3', 'itk::Image< float,3 >'),
  ('ThresholdLabelerImageFilter', 'itk::ThresholdLabelerImageFilter', 'itkThresholdLabelerImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ThresholdLabelerImageFilter', 'itk::ThresholdLabelerImageFilter', 'itkThresholdLabelerImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ThresholdLabelerImageFilter', 'itk::ThresholdLabelerImageFilter', 'itkThresholdLabelerImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ThresholdLabelerImageFilter', 'itk::ThresholdLabelerImageFilter', 'itkThresholdLabelerImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ThresholdLabelerImageFilter', 'itk::ThresholdLabelerImageFilter', 'itkThresholdLabelerImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ThresholdLabelerImageFilter', 'itk::ThresholdLabelerImageFilter', 'itkThresholdLabelerImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ThresholdMaximumConnectedComponentsImageFilter', 'itk::ThresholdMaximumConnectedComponentsImageFilter', 'itkThresholdMaximumConnectedComponentsImageFilterIUC2', 'itk::Image< unsigned char,2 >'),
  ('ThresholdMaximumConnectedComponentsImageFilter', 'itk::ThresholdMaximumConnectedComponentsImageFilter', 'itkThresholdMaximumConnectedComponentsImageFilterIUC3', 'itk::Image< unsigned char,3 >'),
  ('ThresholdMaximumConnectedComponentsImageFilter', 'itk::ThresholdMaximumConnectedComponentsImageFilter', 'itkThresholdMaximumConnectedComponentsImageFilterIUS2', 'itk::Image< unsigned short,2 >'),
  ('ThresholdMaximumConnectedComponentsImageFilter', 'itk::ThresholdMaximumConnectedComponentsImageFilter', 'itkThresholdMaximumConnectedComponentsImageFilterIUS3', 'itk::Image< unsigned short,3 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterIUC2', 'itk::Image< unsigned char,2 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterIUC3', 'itk::Image< unsigned char,3 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterIUS2', 'itk::Image< unsigned short,2 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterIUS3', 'itk::Image< unsigned short,3 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterIF2', 'itk::Image< float,2 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterIF3', 'itk::Image< float,3 >'),
  ('VoronoiSegmentationImageFilter', 'itk::VoronoiSegmentationImageFilter', 'itkVoronoiSegmentationImageFilterIUC2IUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('VoronoiSegmentationImageFilter', 'itk::VoronoiSegmentationImageFilter', 'itkVoronoiSegmentationImageFilterIUS2IUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterIUC2', 'itk::Image< unsigned char,2 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterIUC3', 'itk::Image< unsigned char,3 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterIUS2', 'itk::Image< unsigned short,2 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterIUS3', 'itk::Image< unsigned short,3 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterIF2', 'itk::Image< float,2 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterIF3', 'itk::Image< float,3 >'),
)
