depends = ('ITKPyBase', 'Base', 'VXLNumerics', )
templates = (
  ('AbsImageFilter', 'itk::AbsImageFilter', 'itkAbsImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('AbsImageFilter', 'itk::AbsImageFilter', 'itkAbsImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('AbsImageFilter', 'itk::AbsImageFilter', 'itkAbsImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('AbsImageFilter', 'itk::AbsImageFilter', 'itkAbsImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('AbsImageFilter', 'itk::AbsImageFilter', 'itkAbsImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('AbsImageFilter', 'itk::AbsImageFilter', 'itkAbsImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('AcosImageFilter', 'itk::AcosImageFilter', 'itkAcosImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('AcosImageFilter', 'itk::AcosImageFilter', 'itkAcosImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('AcosImageFilter', 'itk::AcosImageFilter', 'itkAcosImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('AcosImageFilter', 'itk::AcosImageFilter', 'itkAcosImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('AcosImageFilter', 'itk::AcosImageFilter', 'itkAcosImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('AcosImageFilter', 'itk::AcosImageFilter', 'itkAcosImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('AsinImageFilter', 'itk::AsinImageFilter', 'itkAsinImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('AsinImageFilter', 'itk::AsinImageFilter', 'itkAsinImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('AsinImageFilter', 'itk::AsinImageFilter', 'itkAsinImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('AsinImageFilter', 'itk::AsinImageFilter', 'itkAsinImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('AsinImageFilter', 'itk::AsinImageFilter', 'itkAsinImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('AsinImageFilter', 'itk::AsinImageFilter', 'itkAsinImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('AtanImageFilter', 'itk::AtanImageFilter', 'itkAtanImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('AtanImageFilter', 'itk::AtanImageFilter', 'itkAtanImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('BoundedReciprocalImageFilter', 'itk::BoundedReciprocalImageFilter', 'itkBoundedReciprocalImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('BoundedReciprocalImageFilter', 'itk::BoundedReciprocalImageFilter', 'itkBoundedReciprocalImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('BoundedReciprocalImageFilter', 'itk::BoundedReciprocalImageFilter', 'itkBoundedReciprocalImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('BoundedReciprocalImageFilter', 'itk::BoundedReciprocalImageFilter', 'itkBoundedReciprocalImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('BoundedReciprocalImageFilter', 'itk::BoundedReciprocalImageFilter', 'itkBoundedReciprocalImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BoundedReciprocalImageFilter', 'itk::BoundedReciprocalImageFilter', 'itkBoundedReciprocalImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('CosImageFilter', 'itk::CosImageFilter', 'itkCosImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('CosImageFilter', 'itk::CosImageFilter', 'itkCosImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ExpImageFilter', 'itk::ExpImageFilter', 'itkExpImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ExpImageFilter', 'itk::ExpImageFilter', 'itkExpImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ExpImageFilter', 'itk::ExpImageFilter', 'itkExpImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ExpImageFilter', 'itk::ExpImageFilter', 'itkExpImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ExpImageFilter', 'itk::ExpImageFilter', 'itkExpImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ExpImageFilter', 'itk::ExpImageFilter', 'itkExpImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ExpNegativeImageFilter', 'itk::ExpNegativeImageFilter', 'itkExpNegativeImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ExpNegativeImageFilter', 'itk::ExpNegativeImageFilter', 'itkExpNegativeImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ExpNegativeImageFilter', 'itk::ExpNegativeImageFilter', 'itkExpNegativeImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ExpNegativeImageFilter', 'itk::ExpNegativeImageFilter', 'itkExpNegativeImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ExpNegativeImageFilter', 'itk::ExpNegativeImageFilter', 'itkExpNegativeImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ExpNegativeImageFilter', 'itk::ExpNegativeImageFilter', 'itkExpNegativeImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('Log10ImageFilter', 'itk::Log10ImageFilter', 'itkLog10ImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('Log10ImageFilter', 'itk::Log10ImageFilter', 'itkLog10ImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('Log10ImageFilter', 'itk::Log10ImageFilter', 'itkLog10ImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('Log10ImageFilter', 'itk::Log10ImageFilter', 'itkLog10ImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('Log10ImageFilter', 'itk::Log10ImageFilter', 'itkLog10ImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('Log10ImageFilter', 'itk::Log10ImageFilter', 'itkLog10ImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('LogImageFilter', 'itk::LogImageFilter', 'itkLogImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('LogImageFilter', 'itk::LogImageFilter', 'itkLogImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('LogImageFilter', 'itk::LogImageFilter', 'itkLogImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('LogImageFilter', 'itk::LogImageFilter', 'itkLogImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('LogImageFilter', 'itk::LogImageFilter', 'itkLogImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('LogImageFilter', 'itk::LogImageFilter', 'itkLogImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ModulusImageFilter', 'itk::ModulusImageFilter', 'itkModulusImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ModulusImageFilter', 'itk::ModulusImageFilter', 'itkModulusImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ModulusImageFilter', 'itk::ModulusImageFilter', 'itkModulusImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ModulusImageFilter', 'itk::ModulusImageFilter', 'itkModulusImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('NotImageFilter', 'itk::NotImageFilter', 'itkNotImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('NotImageFilter', 'itk::NotImageFilter', 'itkNotImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('NotImageFilter', 'itk::NotImageFilter', 'itkNotImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('NotImageFilter', 'itk::NotImageFilter', 'itkNotImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('NotImageFilter', 'itk::NotImageFilter', 'itkNotImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('NotImageFilter', 'itk::NotImageFilter', 'itkNotImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SinImageFilter', 'itk::SinImageFilter', 'itkSinImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SinImageFilter', 'itk::SinImageFilter', 'itkSinImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SqrtImageFilter', 'itk::SqrtImageFilter', 'itkSqrtImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SqrtImageFilter', 'itk::SqrtImageFilter', 'itkSqrtImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SqrtImageFilter', 'itk::SqrtImageFilter', 'itkSqrtImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SqrtImageFilter', 'itk::SqrtImageFilter', 'itkSqrtImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SqrtImageFilter', 'itk::SqrtImageFilter', 'itkSqrtImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SqrtImageFilter', 'itk::SqrtImageFilter', 'itkSqrtImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SquareImageFilter', 'itk::SquareImageFilter', 'itkSquareImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SquareImageFilter', 'itk::SquareImageFilter', 'itkSquareImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SquareImageFilter', 'itk::SquareImageFilter', 'itkSquareImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SquareImageFilter', 'itk::SquareImageFilter', 'itkSquareImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SquareImageFilter', 'itk::SquareImageFilter', 'itkSquareImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SquareImageFilter', 'itk::SquareImageFilter', 'itkSquareImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('TanImageFilter', 'itk::TanImageFilter', 'itkTanImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('TanImageFilter', 'itk::TanImageFilter', 'itkTanImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
)
