depends = ('ITKPyBase', 'Numerics', 'Base', 'VXLNumerics', )
templates = (
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIUC2', 'itk::Image< unsigned char,2 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIUC3', 'itk::Image< unsigned char,3 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIUS2', 'itk::Image< unsigned short,2 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIUS3', 'itk::Image< unsigned short,3 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIF2', 'itk::Image< float,2 >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIF3', 'itk::Image< float,3 >'),
  ('HistogramMatchingImageFilter', 'itk::HistogramMatchingImageFilter', 'itkHistogramMatchingImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('HistogramMatchingImageFilter', 'itk::HistogramMatchingImageFilter', 'itkHistogramMatchingImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIUC2IUS2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIUC3IUS3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIUC2IF2', 'itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIUC3IF3', 'itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIUS2IUC2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIUS3IUC3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIUS2IF2', 'itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIUS3IF3', 'itk::Image< unsigned short,3 >, itk::Image< float,3 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIF2IUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIF3IUC3', 'itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIF2IUS2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIF3IUS3', 'itk::Image< float,3 >, itk::Image< unsigned short,3 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('InvertIntensityImageFilter', 'itk::InvertIntensityImageFilter', 'itkInvertIntensityImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('InvertIntensityImageFilter', 'itk::InvertIntensityImageFilter', 'itkInvertIntensityImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('InvertIntensityImageFilter', 'itk::InvertIntensityImageFilter', 'itkInvertIntensityImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('InvertIntensityImageFilter', 'itk::InvertIntensityImageFilter', 'itkInvertIntensityImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('InvertIntensityImageFilter', 'itk::InvertIntensityImageFilter', 'itkInvertIntensityImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('InvertIntensityImageFilter', 'itk::InvertIntensityImageFilter', 'itkInvertIntensityImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIRGBUS2IUC2IRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIRGBUS3IUC3IRGBUS3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIRGBUS2IUS2IRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIRGBUS3IUS3IRGBUS3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIRGBAUS2IUC2IRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIRGBAUS3IUC3IRGBAUS3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIRGBAUS2IUS2IRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIRGBAUS3IUS3IRGBAUS3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIVF22IUC2IVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIVF33IUC3IVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIVF22IUS2IVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIVF33IUS3IVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterICVF22IUC2ICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterICVF33IUC3ICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterICVF22IUS2ICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterICVF33IUS3ICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIUC2IUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIUC3IUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIUC2IUS2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIUC3IUS3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIUS2IUC2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIUS3IUC3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIUS2IUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIUS3IUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIF2IUC2IF2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIF3IUC3IF3', 'itk::Image< float,3 >, itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIF2IUS2IF2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIF3IUS3IF3', 'itk::Image< float,3 >, itk::Image< unsigned short,3 >, itk::Image< float,3 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterICF2IUC2ICF2', 'itk::Image< std::complex< float >,2 >, itk::Image< unsigned char,2 >, itk::Image< std::complex< float >,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterICF3IUC3ICF3', 'itk::Image< std::complex< float >,3 >, itk::Image< unsigned char,3 >, itk::Image< std::complex< float >,3 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterICF2IUS2ICF2', 'itk::Image< std::complex< float >,2 >, itk::Image< unsigned short,2 >, itk::Image< std::complex< float >,2 >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterICF3IUS3ICF3', 'itk::Image< std::complex< float >,3 >, itk::Image< unsigned short,3 >, itk::Image< std::complex< float >,3 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIRGBUS2IUC2IRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIRGBUS3IUC3IRGBUS3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIRGBUS2IUS2IRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIRGBUS3IUS3IRGBUS3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIRGBAUS2IUC2IRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIRGBAUS3IUC3IRGBAUS3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIRGBAUS2IUS2IRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIRGBAUS3IUS3IRGBAUS3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIVF22IUC2IVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIVF33IUC3IVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIVF22IUS2IVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIVF33IUS3IVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterICVF22IUC2ICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterICVF33IUC3ICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterICVF22IUS2ICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterICVF33IUS3ICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIUC2IUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIUC3IUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIUC2IUS2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIUC3IUS3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIUS2IUC2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIUS3IUC3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIUS2IUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIUS3IUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIF2IUC2IF2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIF3IUC3IF3', 'itk::Image< float,3 >, itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIF2IUS2IF2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIF3IUS3IF3', 'itk::Image< float,3 >, itk::Image< unsigned short,3 >, itk::Image< float,3 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterICF2IUC2ICF2', 'itk::Image< std::complex< float >,2 >, itk::Image< unsigned char,2 >, itk::Image< std::complex< float >,2 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterICF3IUC3ICF3', 'itk::Image< std::complex< float >,3 >, itk::Image< unsigned char,3 >, itk::Image< std::complex< float >,3 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterICF2IUS2ICF2', 'itk::Image< std::complex< float >,2 >, itk::Image< unsigned short,2 >, itk::Image< std::complex< float >,2 >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterICF3IUS3ICF3', 'itk::Image< std::complex< float >,3 >, itk::Image< unsigned short,3 >, itk::Image< std::complex< float >,3 >'),
  ('NormalizeImageFilter', 'itk::NormalizeImageFilter', 'itkNormalizeImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('NormalizeImageFilter', 'itk::NormalizeImageFilter', 'itkNormalizeImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('NormalizeImageFilter', 'itk::NormalizeImageFilter', 'itkNormalizeImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('NormalizeImageFilter', 'itk::NormalizeImageFilter', 'itkNormalizeImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('NormalizeImageFilter', 'itk::NormalizeImageFilter', 'itkNormalizeImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('NormalizeImageFilter', 'itk::NormalizeImageFilter', 'itkNormalizeImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUC2IUS2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUC3IUS3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUC2IF2', 'itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUC3IF3', 'itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUS2IUC2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUS3IUC3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUS2IF2', 'itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUS3IF3', 'itk::Image< unsigned short,3 >, itk::Image< float,3 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIF2IUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIF3IUC3', 'itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIF2IUS2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIF3IUS3', 'itk::Image< float,3 >, itk::Image< unsigned short,3 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ShiftScaleImageFilter', 'itk::ShiftScaleImageFilter', 'itkShiftScaleImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ShiftScaleImageFilter', 'itk::ShiftScaleImageFilter', 'itkShiftScaleImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ShiftScaleImageFilter', 'itk::ShiftScaleImageFilter', 'itkShiftScaleImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ShiftScaleImageFilter', 'itk::ShiftScaleImageFilter', 'itkShiftScaleImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ShiftScaleImageFilter', 'itk::ShiftScaleImageFilter', 'itkShiftScaleImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ShiftScaleImageFilter', 'itk::ShiftScaleImageFilter', 'itkShiftScaleImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SigmoidImageFilter', 'itk::SigmoidImageFilter', 'itkSigmoidImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SigmoidImageFilter', 'itk::SigmoidImageFilter', 'itkSigmoidImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SigmoidImageFilter', 'itk::SigmoidImageFilter', 'itkSigmoidImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SigmoidImageFilter', 'itk::SigmoidImageFilter', 'itkSigmoidImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SigmoidImageFilter', 'itk::SigmoidImageFilter', 'itkSigmoidImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SigmoidImageFilter', 'itk::SigmoidImageFilter', 'itkSigmoidImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
)
