depends = ('ITKPyBase', 'Transforms', 'Base', 'VXLNumerics', )
templates = (
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2IUS2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC3IUS3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2IF2', 'itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC3IF3', 'itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS2IUC2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS3IUC3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS2IF2', 'itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS3IF3', 'itk::Image< unsigned short,3 >, itk::Image< float,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2IUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF3IUC3', 'itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2IUS2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF3IUS3', 'itk::Image< float,3 >, itk::Image< unsigned short,3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ChangeInformationImageFilter', 'itk::ChangeInformationImageFilter', 'itkChangeInformationImageFilterIUC2', 'itk::Image< unsigned char,2 >'),
  ('ChangeInformationImageFilter', 'itk::ChangeInformationImageFilter', 'itkChangeInformationImageFilterIUC3', 'itk::Image< unsigned char,3 >'),
  ('ChangeInformationImageFilter', 'itk::ChangeInformationImageFilter', 'itkChangeInformationImageFilterIUS2', 'itk::Image< unsigned short,2 >'),
  ('ChangeInformationImageFilter', 'itk::ChangeInformationImageFilter', 'itkChangeInformationImageFilterIUS3', 'itk::Image< unsigned short,3 >'),
  ('ChangeInformationImageFilter', 'itk::ChangeInformationImageFilter', 'itkChangeInformationImageFilterIF2', 'itk::Image< float,2 >'),
  ('ChangeInformationImageFilter', 'itk::ChangeInformationImageFilter', 'itkChangeInformationImageFilterIF3', 'itk::Image< float,3 >'),
  ('DifferenceImageFilter', 'itk::DifferenceImageFilter', 'itkDifferenceImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('DifferenceImageFilter', 'itk::DifferenceImageFilter', 'itkDifferenceImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('DifferenceImageFilter', 'itk::DifferenceImageFilter', 'itkDifferenceImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('DifferenceImageFilter', 'itk::DifferenceImageFilter', 'itkDifferenceImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('DifferenceImageFilter', 'itk::DifferenceImageFilter', 'itkDifferenceImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('DifferenceImageFilter', 'itk::DifferenceImageFilter', 'itkDifferenceImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('FlipImageFilter', 'itk::FlipImageFilter', 'itkFlipImageFilterIUC2', 'itk::Image< unsigned char,2 >'),
  ('FlipImageFilter', 'itk::FlipImageFilter', 'itkFlipImageFilterIUC3', 'itk::Image< unsigned char,3 >'),
  ('FlipImageFilter', 'itk::FlipImageFilter', 'itkFlipImageFilterIUS2', 'itk::Image< unsigned short,2 >'),
  ('FlipImageFilter', 'itk::FlipImageFilter', 'itkFlipImageFilterIUS3', 'itk::Image< unsigned short,3 >'),
  ('FlipImageFilter', 'itk::FlipImageFilter', 'itkFlipImageFilterIF2', 'itk::Image< float,2 >'),
  ('FlipImageFilter', 'itk::FlipImageFilter', 'itkFlipImageFilterIF3', 'itk::Image< float,3 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIRGBUS3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIRGBAUS3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIVF33', 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIUC2', 'itk::Image< unsigned char,2 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIUC3', 'itk::Image< unsigned char,3 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIUS2', 'itk::Image< unsigned short,2 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIUS3', 'itk::Image< unsigned short,3 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIF2', 'itk::Image< float,2 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIF3', 'itk::Image< float,3 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorICF2', 'itk::Image< std::complex< float >,2 >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorICF3', 'itk::Image< std::complex< float >,3 >'),
  ('ImageRegionSplitter', 'itk::ImageRegionSplitter', 'itkImageRegionSplitter2', '2'),
  ('ImageRegionSplitter', 'itk::ImageRegionSplitter', 'itkImageRegionSplitter3', '3'),
  ('ImportImageFilter', 'itk::ImportImageFilter', 'itkImportImageFilterUC2', 'unsigned char,2'),
  ('ImportImageFilter', 'itk::ImportImageFilter', 'itkImportImageFilterUS2', 'unsigned short,2'),
  ('ImportImageFilter', 'itk::ImportImageFilter', 'itkImportImageFilterF2', 'float,2'),
  ('ImportImageFilter', 'itk::ImportImageFilter', 'itkImportImageFilterUC3', 'unsigned char,3'),
  ('ImportImageFilter', 'itk::ImportImageFilter', 'itkImportImageFilterUS3', 'unsigned short,3'),
  ('ImportImageFilter', 'itk::ImportImageFilter', 'itkImportImageFilterF3', 'float,3'),
  ('InterpolateImageFilter', 'itk::InterpolateImageFilter', 'itkInterpolateImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('InterpolateImageFilter', 'itk::InterpolateImageFilter', 'itkInterpolateImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('InterpolateImageFilter', 'itk::InterpolateImageFilter', 'itkInterpolateImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('InterpolateImageFilter', 'itk::InterpolateImageFilter', 'itkInterpolateImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('InterpolateImageFilter', 'itk::InterpolateImageFilter', 'itkInterpolateImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('InterpolateImageFilter', 'itk::InterpolateImageFilter', 'itkInterpolateImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('PermuteAxesImageFilter', 'itk::PermuteAxesImageFilter', 'itkPermuteAxesImageFilterIUC2', 'itk::Image< unsigned char,2 >'),
  ('PermuteAxesImageFilter', 'itk::PermuteAxesImageFilter', 'itkPermuteAxesImageFilterIUC3', 'itk::Image< unsigned char,3 >'),
  ('PermuteAxesImageFilter', 'itk::PermuteAxesImageFilter', 'itkPermuteAxesImageFilterIUS2', 'itk::Image< unsigned short,2 >'),
  ('PermuteAxesImageFilter', 'itk::PermuteAxesImageFilter', 'itkPermuteAxesImageFilterIUS3', 'itk::Image< unsigned short,3 >'),
  ('PermuteAxesImageFilter', 'itk::PermuteAxesImageFilter', 'itkPermuteAxesImageFilterIF2', 'itk::Image< float,2 >'),
  ('PermuteAxesImageFilter', 'itk::PermuteAxesImageFilter', 'itkPermuteAxesImageFilterIF3', 'itk::Image< float,3 >'),
  ('RandomImageSource', 'itk::RandomImageSource', 'itkRandomImageSourceIUC2', 'itk::Image< unsigned char,2 >'),
  ('RandomImageSource', 'itk::RandomImageSource', 'itkRandomImageSourceIUC3', 'itk::Image< unsigned char,3 >'),
  ('RandomImageSource', 'itk::RandomImageSource', 'itkRandomImageSourceIUS2', 'itk::Image< unsigned short,2 >'),
  ('RandomImageSource', 'itk::RandomImageSource', 'itkRandomImageSourceIUS3', 'itk::Image< unsigned short,3 >'),
  ('RandomImageSource', 'itk::RandomImageSource', 'itkRandomImageSourceIF2', 'itk::Image< float,2 >'),
  ('RandomImageSource', 'itk::RandomImageSource', 'itkRandomImageSourceIF3', 'itk::Image< float,3 >'),
  ('ReflectImageFilter', 'itk::ReflectImageFilter', 'itkReflectImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ReflectImageFilter', 'itk::ReflectImageFilter', 'itkReflectImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ReflectImageFilter', 'itk::ReflectImageFilter', 'itkReflectImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ReflectImageFilter', 'itk::ReflectImageFilter', 'itkReflectImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ReflectImageFilter', 'itk::ReflectImageFilter', 'itkReflectImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ReflectImageFilter', 'itk::ReflectImageFilter', 'itkReflectImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('StreamingImageFilter', 'itk::StreamingImageFilter', 'itkStreamingImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('StreamingImageFilter', 'itk::StreamingImageFilter', 'itkStreamingImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('StreamingImageFilter', 'itk::StreamingImageFilter', 'itkStreamingImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('StreamingImageFilter', 'itk::StreamingImageFilter', 'itkStreamingImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('StreamingImageFilter', 'itk::StreamingImageFilter', 'itkStreamingImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('StreamingImageFilter', 'itk::StreamingImageFilter', 'itkStreamingImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('VTKImageExportBase', 'itk::VTKImageExportBase', 'itkVTKImageExportBase'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportIUC2', 'itk::Image< unsigned char,2 >'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportIUC3', 'itk::Image< unsigned char,3 >'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportIUS2', 'itk::Image< unsigned short,2 >'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportIUS3', 'itk::Image< unsigned short,3 >'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportIF2', 'itk::Image< float,2 >'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportIF3', 'itk::Image< float,3 >'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportIUL2', 'itk::Image< unsigned long,2 >'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportIUL3', 'itk::Image< unsigned long,3 >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportIUC2', 'itk::Image< unsigned char,2 >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportIUC3', 'itk::Image< unsigned char,3 >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportIUS2', 'itk::Image< unsigned short,2 >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportIUS3', 'itk::Image< unsigned short,3 >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportIF2', 'itk::Image< float,2 >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportIF3', 'itk::Image< float,3 >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportIUL2', 'itk::Image< unsigned long,2 >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportIUL3', 'itk::Image< unsigned long,3 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVF22IVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVF33IVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVF22ICVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVF33ICVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVF22IVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVF33IVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVF22ICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVF33ICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIRGBUC2IRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIRGBUC3IRGBUC3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIRGBUC2IRGBUS2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIRGBUC3IRGBUS3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIRGBUS2IRGBUC2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIRGBUS3IRGBUC3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIRGBUS2IRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIRGBUS3IRGBUS3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterIUC2IUC2IVF22', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterIUC3IUC3IVF33', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterIUS2IUS2IVF22', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterIUS3IUS3IVF33', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterIF2IF2IVF22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterIF3IF3IVF33', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
)
