depends = ('ITKPyBase', 'Base', 'VXLNumerics', )
templates = (
  ('TransformBase', 'itk::TransformBase', 'itkTransformBase'),
  ('list', 'std::list', 'listitkTransformBase_Pointer', 'itk::TransformBase'),
  ('Transform', 'itk::Transform', 'itkTransformD22', 'double,2,2'),
  ('Transform', 'itk::Transform', 'itkTransformD23', 'double,2,3'),
  ('Transform', 'itk::Transform', 'itkTransformD32', 'double,3,2'),
  ('Transform', 'itk::Transform', 'itkTransformD33', 'double,3,3'),
  ('DataObjectDecorator', 'itk::DataObjectDecorator', 'itkDataObjectDecoratorTD22', 'itk::Transform< double,2,2 >'),
  ('DataObjectDecorator', 'itk::DataObjectDecorator', 'itkDataObjectDecoratorTD23', 'itk::Transform< double,2,3 >'),
  ('DataObjectDecorator', 'itk::DataObjectDecorator', 'itkDataObjectDecoratorTD32', 'itk::Transform< double,3,2 >'),
  ('DataObjectDecorator', 'itk::DataObjectDecorator', 'itkDataObjectDecoratorTD33', 'itk::Transform< double,3,3 >'),
  ('MatrixOffsetTransformBase', 'itk::MatrixOffsetTransformBase', 'itkMatrixOffsetTransformBaseD22', 'double,2,2'),
  ('MatrixOffsetTransformBase', 'itk::MatrixOffsetTransformBase', 'itkMatrixOffsetTransformBaseD33', 'double,3,3'),
  ('Rigid2DTransform', 'itk::Rigid2DTransform', 'itkRigid2DTransformD', 'double'),
  ('Rigid3DTransform', 'itk::Rigid3DTransform', 'itkRigid3DTransformD', 'double'),
  ('Euler2DTransform', 'itk::Euler2DTransform', 'itkEuler2DTransformD', 'double'),
  ('Euler3DTransform', 'itk::Euler3DTransform', 'itkEuler3DTransformD', 'double'),
  ('VersorTransform', 'itk::VersorTransform', 'itkVersorTransformD', 'double'),
  ('VersorRigid3DTransform', 'itk::VersorRigid3DTransform', 'itkVersorRigid3DTransformD', 'double'),
  ('Similarity2DTransform', 'itk::Similarity2DTransform', 'itkSimilarity2DTransformD', 'double'),
  ('Similarity3DTransform', 'itk::Similarity3DTransform', 'itkSimilarity3DTransformD', 'double'),
  ('AffineTransform', 'itk::AffineTransform', 'itkAffineTransformD2', 'double,2'),
  ('AffineTransform', 'itk::AffineTransform', 'itkAffineTransformD3', 'double,3'),
  ('ScalableAffineTransform', 'itk::ScalableAffineTransform', 'itkScalableAffineTransformD2', 'double,2'),
  ('ScalableAffineTransform', 'itk::ScalableAffineTransform', 'itkScalableAffineTransformD3', 'double,3'),
  ('ScaleTransform', 'itk::ScaleTransform', 'itkScaleTransformD2', 'double,2'),
  ('ScaleTransform', 'itk::ScaleTransform', 'itkScaleTransformD3', 'double,3'),
  ('CenteredEuler3DTransform', 'itk::CenteredEuler3DTransform', 'itkCenteredEuler3DTransformD', 'double'),
  ('CenteredRigid2DTransform', 'itk::CenteredRigid2DTransform', 'itkCenteredRigid2DTransformD', 'double'),
  ('CenteredSimilarity2DTransform', 'itk::CenteredSimilarity2DTransform', 'itkCenteredSimilarity2DTransformD', 'double'),
  ('Rigid3DPerspectiveTransform', 'itk::Rigid3DPerspectiveTransform', 'itkRigid3DPerspectiveTransformD', 'double'),
  ('ScaleSkewVersor3DTransform', 'itk::ScaleSkewVersor3DTransform', 'itkScaleSkewVersor3DTransformD', 'double'),
  ('AzimuthElevationToCartesianTransform', 'itk::AzimuthElevationToCartesianTransform', 'itkAzimuthElevationToCartesianTransformD2', 'double,2'),
  ('AzimuthElevationToCartesianTransform', 'itk::AzimuthElevationToCartesianTransform', 'itkAzimuthElevationToCartesianTransformD3', 'double,3'),
  ('CenteredAffineTransform', 'itk::CenteredAffineTransform', 'itkCenteredAffineTransformD2', 'double,2'),
  ('CenteredAffineTransform', 'itk::CenteredAffineTransform', 'itkCenteredAffineTransformD3', 'double,3'),
  ('FixedCenterOfRotationAffineTransform', 'itk::FixedCenterOfRotationAffineTransform', 'itkFixedCenterOfRotationAffineTransformD2', 'double,2'),
  ('FixedCenterOfRotationAffineTransform', 'itk::FixedCenterOfRotationAffineTransform', 'itkFixedCenterOfRotationAffineTransformD3', 'double,3'),
  ('IdentityTransform', 'itk::IdentityTransform', 'itkIdentityTransformD2', 'double,2'),
  ('IdentityTransform', 'itk::IdentityTransform', 'itkIdentityTransformD3', 'double,3'),
  ('QuaternionRigidTransform', 'itk::QuaternionRigidTransform', 'itkQuaternionRigidTransformD', 'double'),
  ('ScaleLogarithmicTransform', 'itk::ScaleLogarithmicTransform', 'itkScaleLogarithmicTransformD2', 'double,2'),
  ('ScaleLogarithmicTransform', 'itk::ScaleLogarithmicTransform', 'itkScaleLogarithmicTransformD3', 'double,3'),
  ('TranslationTransform', 'itk::TranslationTransform', 'itkTranslationTransformD2', 'double,2'),
  ('TranslationTransform', 'itk::TranslationTransform', 'itkTranslationTransformD3', 'double,3'),
)
